Index: trunk/dports/x11/kdeedu3/Portfile
===================================================================
--- trunk/dports/x11/kdeedu3/Portfile	(revision 3020)
+++ trunk/dports/x11/kdeedu3/Portfile	(revision 3021)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.8 2003/06/18 03:32:43 ranger Exp $
+# $Id: Portfile,v 1.9 2003/07/10 03:39:33 ranger Exp $
 
 PortSystem 1.0
@@ -57,15 +57,8 @@
 
 		distname kdeedu
-		distfiles kde-admindir-cvs-20030616.tar.bz2:admin detect-autoconf.tar.bz2:darwin
-		checksums kde-admindir-cvs-20030616.tar.bz2 md5 caf9880587ddc3fab8f5b9ba97eae470 \
-			detect-autoconf.tar.bz2 md5 1f511627496be40174169dbab4d6d78a
+		distfiles kde-admindir-cvs-20030701.tar.bz2:admin
+		checksums kde-admindir-cvs-20030701.tar.bz2 md5 b9bf2dc286d2e434c2cfdadc421c79b6
 
-		patchfiles \
-			current/patch-kdeedu-flashkard-flashkard-main.cpp.diff \
-			current/patch-kdeedu-kalzium-calculations-Makefile.am.diff \
-			current/patch-kdeedu-kig-misc-lists.cc.diff \
-			current/patch-kdeedu-kig-misc-object_hierarchy.cc.diff \
-			current/patch-kdeedu-kiten-Makefile.am.diff \
-			current/patch-kdeedu-kmplot-kmplot-diagr.cpp.diff
+		patchfiles current/patch-kdeedu.diff
 		post-extract {
 			system "rm -rf '${workpath}/${distname}/khangman'"
@@ -84,10 +77,10 @@
 }
 configure.env	CPPFLAGS='-I/usr/X11R6/include -I${prefix}/include -I${prefix}/include/qt3 -no-cpp-precomp -fno-common' \
-		LDFLAGS='-L/usr/X11R6/lib' LIBS='-L${prefix}/lib' DYLD_LIBRARY_PATH='/usr/X11R6/lib:${prefix}/lib'
+		LDFLAGS='-L/usr/X11R6/lib' LIBS='-L${prefix}/lib' DYLD_LIBRARY_PATH='${prefix}/lib'
 configure.args	--prefix='${prefix}' --includedir='${prefix}/include' --libdir='${prefix}/lib' \
 		--with-extra-includes='${prefix}/include' --with-extra-libs='${prefix}/lib' \
 		--with-qt-dir='${prefix}' --with-qt-includes='${prefix}/include/qt3' \
 		--enable-rpath --with-pic --enable-shared=yes --enable-static=no --enable-mt \
-		--libexecdir='${prefix}/lib' --with-xinerama --with-pam --enable-final \
+		--libexecdir='${prefix}/lib' --with-xinerama --with-pam --disable-final \
 		--disable-dependency-tracking
 build.env	${configure.env}
Index: trunk/dports/x11/kdeedu3/files/current/patch-kdeedu-flashkard-flashkard-main.cpp.diff
===================================================================
--- trunk/dports/x11/kdeedu3/files/current/patch-kdeedu-flashkard-flashkard-main.cpp.diff	(revision 3020)
+++ 	(revision )
@@ -1,11 +1,0 @@
---- flashkard/flashkard/main.cpp	13 Mar 2003 19:52:03 -0000	1.1.1.3
-+++ flashkard/flashkard/main.cpp	30 Oct 2002 00:52:35 -0000	1.3
-@@ -36,7 +36,7 @@
-   
-   KAboutData aboutData( "flashkard", I18N_NOOP("FlashKard"),
- 			"1.0", description, KAboutData::License_GPL,
--			"(c) 2002, Scott Wheeler", 0, "http://edu.kde.org/flashkard/");
-+			"(c) 2002, Scott Wheeler", 0, "http://edu.kde.org/flashkard/", "submit@bugs.kde.org");
- 
-   aboutData.addAuthor("Scott Wheeler", 0, "wheeler@kde.org");
-   KCmdLineArgs::init(argc, argv, &aboutData);
Index: trunk/dports/x11/kdeedu3/files/current/patch-kdeedu-kalzium-calculations-Makefile.am.diff
===================================================================
--- trunk/dports/x11/kdeedu3/files/current/patch-kdeedu-kalzium-calculations-Makefile.am.diff	(revision 3020)
+++ 	(revision )
@@ -1,16 +1,0 @@
---- kalzium/calculations/Makefile.am	5 Nov 2002 19:57:32 -0000	1.1.1.4
-+++ kalzium/calculations/Makefile.am	2 Oct 2002 02:01:37 -0000	1.3
-@@ -1,9 +1,10 @@
- noinst_LTLIBRARIES = libkmol.la
- 
- libkmol_la_SOURCES = kmolcalc.cpp kmolelements.cpp kmoledit.cpp 
--
--libkmol_la_LDFLAGS = $(all_libraries) -module -avoid-version
--
-+libkmol_la_LIBADD = $(LIB_QT) $(LIB_KDECORE) $(LIB_KDEUI)
-+libkmol_la_LDFLAGS = $(all_libraries) -module -avoid-version 1:1:0 $(QT_LDFLAGS)
-+noinst_HEADERS = kmolcalc.h kmolelements.h kmoledit.h 
-+ 
- INCLUDES= $(all_includes)
- 
- METASOURCES = AUTO
Index: trunk/dports/x11/kdeedu3/files/current/patch-kdeedu-kig-misc-lists.cc.diff
===================================================================
--- trunk/dports/x11/kdeedu3/files/current/patch-kdeedu-kig-misc-lists.cc.diff	(revision 3020)
+++ 	(revision )
@@ -1,16 +1,0 @@
-Index: kig/misc/lists.cc
-===================================================================
-RCS file: /home/kde/kdeedu/kig/misc/lists.cc,v
-retrieving revision 1.11
-diff -u -b -u -r1.11 lists.cc
---- kig/misc/lists.cc	4 Jun 2003 12:43:56 -0000	1.11
-+++ kig/misc/lists.cc	18 Jun 2003 01:55:02 -0000
-@@ -234,7 +234,7 @@
- 
-   QDomElement docelem = doc.createElement( "KigMacroFile" );
-   docelem.setAttribute( "Version", "0.5.1" );
--  docelem.setAttribute( "Number", ms.size() );
-+  docelem.setAttribute( (QString)"Number", (int)ms.size() );
- 
-   for ( uint i = 0; i < ms.size(); ++i )
-   {
Index: trunk/dports/x11/kdeedu3/files/current/patch-kdeedu-kig-misc-object_hierarchy.cc.diff
===================================================================
--- trunk/dports/x11/kdeedu3/files/current/patch-kdeedu-kig-misc-object_hierarchy.cc.diff	(revision 3020)
+++ 	(revision )
@@ -1,16 +1,0 @@
-Index: kig/misc/object_hierarchy.cc
-===================================================================
-RCS file: /home/kde/kdeedu/kig/misc/object_hierarchy.cc,v
-retrieving revision 1.9
-diff -u -b -u -r1.9 object_hierarchy.cc
---- kig/misc/object_hierarchy.cc	4 Jun 2003 12:43:56 -0000	1.9
-+++ kig/misc/object_hierarchy.cc	18 Jun 2003 01:58:23 -0000
-@@ -491,7 +491,7 @@
-       ObjectImp* imp = ObjectImpFactory::instance()->deserialize( typen, e );
-       newnode = new PushStackNode( imp );
-     };
--    mnodes.resize( kMax( id - mnumberofargs, mnodes.size() ) );
-+    mnodes.resize( kMax( id - mnumberofargs, (unsigned int)mnodes.size() ) );
-     mnodes[id - mnumberofargs - 1] = newnode;
-   };
- }
Index: trunk/dports/x11/kdeedu3/files/current/patch-kdeedu-kiten-Makefile.am.diff
===================================================================
--- trunk/dports/x11/kdeedu3/files/current/patch-kdeedu-kiten-Makefile.am.diff	(revision 3020)
+++ 	(revision )
@@ -1,51 +1,0 @@
---- kiten/Makefile.am	5 Nov 2002 19:59:22 -0000	1.1.1.4
-+++ kiten/Makefile.am	1 Jun 2003 14:31:57 -0000	1.5
-@@ -2,27 +2,33 @@
- 
- SUBDIRS = pics
- 
--lib_LTLIBRARIES = kiten.la
-+lib_LTLIBRARIES = kiten.la libkiten_main.la
- 
--kiten_la_SOURCES = 	main.cpp \
--				dict.cpp \
--				kiten.cpp \
--				optiondialog.cpp \
--				rad.cpp \
--				deinf.cpp \
--				kromajiedit.cpp \
--				widgets.cpp \
--				learn.cpp \
--				kloader.cpp \
--				ksaver.cpp
-+libkiten_main_la_SOURCES = dict.cpp \
-+	kiten.cpp \
-+	optiondialog.cpp \
-+	rad.cpp \
-+	deinf.cpp \
-+	kromajiedit.cpp \
-+	widgets.cpp \
-+	learn.cpp \
-+	kloader.cpp \
-+	ksaver.cpp
-+libkiten_main_la_LIBADD = $(LIB_QT) $(LIB_KDEUI) $(LIB_KIO) $(LIB_KDECORE) -lkdeprint
-+libkiten_main_la_LDFLAGS = $(all_libraries) $(KDE_RPATH) -avoid-version -no-undefined
- 
--kiten_la_LDFLAGS = $(all_libraries) $(KDE_RPATH) -module -avoid-version
-+kiten_la_SOURCES = kiten_la_main.cpp
-+kiten_la_LIBADD  = libkiten_main.la
-+kiten_la_LDFLAGS = $(all_libraries) $(KDE_RPATH) -avoid-version -module
-+
-+kiten_la_main.cpp: main.cpp
-+	cat main.cpp > kiten_la_main.cpp
- 
- bin_PROGRAMS = kiten kitengen
- 
--kiten_LDADD = kiten.la $(KDE_RPATH) $(LIB_KDEUI) $(LIB_KIO) $(LIB_KDEPRINT)
-+kiten_LDADD = libkiten_main.la
- kiten_LDFLAGS = $(all_libraries)
--kiten_SOURCES = dummy.cpp
-+kiten_SOURCES = main.cpp
- 
- kitengen_SOURCES = xjdxgen.c
- kitengen_LDFLAGS = $(all_libraries) $(KDE_RPATH) $(LIB_QT)
Index: trunk/dports/x11/kdeedu3/files/current/patch-kdeedu-kmplot-kmplot-diagr.cpp.diff
===================================================================
--- trunk/dports/x11/kdeedu3/files/current/patch-kdeedu-kmplot-kmplot-diagr.cpp.diff	(revision 3020)
+++ 	(revision )
@@ -1,29 +1,0 @@
---- kmplot/kmplot/diagr.cpp	4 Jan 2003 17:51:54 -0000	1.1.1.6
-+++ kmplot/kmplot/diagr.cpp	4 Jan 2003 18:15:41 -0000	1.5
-@@ -27,6 +27,26 @@
- #include "misc.h"
- #include "diagr.h"
- 
-+/* ugly ugly ugly -- why o why does the compiler not find these
-+ * friggin' functions in math.h?!?!
-+ */
-+
-+#if !defined(isnan)
-+# if defined(NAN)
-+#  define isnan(x) (x)==NAN?1:0
-+# else
-+extern __pure int isnan __P((double));
-+# endif
-+#endif
-+
-+#if !defined(isinf)
-+# if defined(INFINITY)
-+#  define isinf(x) (x)==INFINITY?1:0
-+# else
-+extern __pure int isinf __P((double));
-+# endif
-+#endif
-+
- #ifdef __osf__
- #include <nan.h>
- #define isnan(x) IsNAN(x)
Index: trunk/dports/x11/kdeedu3/files/current/patch-kdeedu.diff
===================================================================
--- trunk/dports/x11/kdeedu3/files/current/patch-kdeedu.diff	(revision 3021)
+++ trunk/dports/x11/kdeedu3/files/current/patch-kdeedu.diff	(revision 3021)
@@ -0,0 +1,50 @@
+Index: kig/misc/lists.cc
+===================================================================
+RCS file: /home/kde/kdeedu/kig/misc/lists.cc,v
+retrieving revision 1.11
+diff -u -u -r1.11 lists.cc
+--- kig/misc/lists.cc	4 Jun 2003 12:43:56 -0000	1.11
++++ kig/misc/lists.cc	10 Jul 2003 02:14:47 -0000
+@@ -234,7 +234,7 @@
+ 
+   QDomElement docelem = doc.createElement( "KigMacroFile" );
+   docelem.setAttribute( "Version", "0.5.1" );
+-  docelem.setAttribute( "Number", ms.size() );
++  docelem.setAttribute( "Number", (unsigned int)ms.size() );
+ 
+   for ( uint i = 0; i < ms.size(); ++i )
+   {
+Index: kig/misc/object_hierarchy.cc
+===================================================================
+RCS file: /home/kde/kdeedu/kig/misc/object_hierarchy.cc,v
+retrieving revision 1.11
+diff -u -u -r1.11 object_hierarchy.cc
+--- kig/misc/object_hierarchy.cc	3 Jul 2003 11:42:39 -0000	1.11
++++ kig/misc/object_hierarchy.cc	10 Jul 2003 02:14:47 -0000
+@@ -464,7 +464,7 @@
+       ObjectImp* imp = ObjectImpFactory::instance()->deserialize( typen, e );
+       newnode = new PushStackNode( imp );
+     };
+-    mnodes.resize( kMax( id - mnumberofargs, mnodes.size() ) );
++    mnodes.resize( kMax( id - mnumberofargs, (unsigned int)mnodes.size() ) );
+     mnodes[id - mnumberofargs - 1] = newnode;
+   };
+ }
+Index: kstars/kstars/kstarsdata.h
+===================================================================
+RCS file: /home/kde/kdeedu/kstars/kstars/kstarsdata.h,v
+retrieving revision 1.50
+diff -u -u -r1.50 kstarsdata.h
+--- kstars/kstars/kstarsdata.h	4 Jul 2003 17:53:43 -0000	1.50
++++ kstars/kstars/kstarsdata.h	10 Jul 2003 02:14:47 -0000
+@@ -54,6 +54,10 @@
+ #include "jupitermoons.h"
+ #include "indidriver.h"
+ 
++#include <iostream>
++using std::cout;
++using std::endl;
++
+ #define NSAOFILES 40
+ #define NMWFILES  11
+ #define NNGCFILES 13