Index: trunk/dports/x11/kdenetwork3/Portfile
===================================================================
--- trunk/dports/x11/kdenetwork3/Portfile	(revision 3027)
+++ trunk/dports/x11/kdenetwork3/Portfile	(revision 3028)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.5 2003/06/01 20:32:40 ranger Exp $
+# $Id: Portfile,v 1.6 2003/07/11 19:05:16 ranger Exp $
 
 PortSystem 1.0
@@ -15,8 +15,7 @@
 distname	kdenetwork-${version}
 distfiles	${distname}.tar.bz2 kde-admindir-20030601.tar.bz2:admin detect-autoconf.tar.bz2:darwin
-patchfiles	patch-${name}.darwin
-depends_lib	lib:libDCOP:kdelibs3 lib:libart_lgpl_2:libart_lgpl lib:libdl.1:dlcompat \
+depends_lib	lib:libDCOP:kdelibs3 lib:libart_lgpl_2:libart_lgpl \
 		lib:libjpeg:jpeg lib:libkdecore.4:kdelibs3 bin:startkde:kdebase3 \
-		lib:libpng.3:libpng lib:libpoll:poll-emulator lib:libqt-mt.3.1:qt3 \
+		lib:libpng.3:libpng lib:libqt-mt.3.1:qt3 \
 		lib:libX11.6:XFree86
 
@@ -27,4 +26,28 @@
 set env(PATH) "/usr/X11R6/bin:$env(PATH):${prefix}/bin"
 
+variant darwin {
+		depends_lib-append	lib:libpoll:poll-emulator lib:libdl.1:dlcompat
+		patchfiles	patch-${name}.darwin
+}
+
+variant cvs {
+version 3.2
+		revision 0
+
+		##### THIS IS UNSUPPORTED, DO NOT USE THIS IN YOUR PORTS! #####
+		cvs.root :pserver:anonymous@anoncvs.kde.org:/home/kde
+		cvs.module kdenetwork
+		pre-extract {
+			cvsfetch
+		}
+		##### I MEAN IT, LANDONF WILL KILL YOU IF YOU DO THIS! #####
+
+		distname kdenetwork
+		distfiles kde-admindir-cvs-20030701.tar.bz2:admin
+		checksums kde-admindir-cvs-20030701.tar.bz2 md5 b9bf2dc286d2e434c2cfdadc421c79b6
+
+		patchfiles
+}
+
 patch {
 		foreach patch $patchfiles {
@@ -34,14 +57,14 @@
 }
 post-patch      {
-		system "cd '${worksrcpath}' && cp -Rf ../admin/ admin"
+		system "cd '${worksrcpath}' && test -d ../admin && cp -Rf ../admin/ admin"
 		system "cd '${worksrcpath}' && make -f admin/Makefile.common cvs"
 }
 configure.env	CPPFLAGS='-I/usr/X11R6/include -I${prefix}/include -I${prefix}/include/qt3 -no-cpp-precomp -fno-common' \
-		LDFLAGS='-L/usr/X11R6/lib' LIBS='-L${prefix}/lib' DYLD_LIBRARY_PATH='/usr/X11R6/lib:${prefix}/lib'
+		LDFLAGS='-L/usr/X11R6/lib' LIBS='-L${prefix}/lib' DYLD_LIBRARY_PATH='${prefix}/lib'
 configure.args	--prefix='${prefix}' --includedir='${prefix}/include' --libdir='${prefix}/lib' \
 		--with-extra-includes='${prefix}/include' --with-extra-libs='${prefix}/lib' \
 		--with-qt-dir='${prefix}' --with-qt-includes='${prefix}/include/qt3' \
 		--enable-rpath --with-pic --enable-shared=yes --enable-static=no --enable-mt \
-		--libexecdir='${prefix}/lib' --with-xinerama --with-pam --enable-final \
+		--libexecdir='${prefix}/lib' --with-xinerama --with-pam --disable-final \
 		--disable-dependency-tracking
 build.env	${configure.env}
Index: trunk/dports/x11/kdenetwork3/files/detect-autoconf.sh
===================================================================
--- trunk/dports/x11/kdenetwork3/files/detect-autoconf.sh	(revision 3027)
+++ 	(revision )
@@ -1,104 +1,0 @@
-#! /bin/sh
-
-# Global variables...
-
-if test -x /usr/bin/autoconf; then
-	AUTOCONF="/usr/bin/autoconf"
-else
-	AUTOCONF="autoconf"
-fi
-
-if test -x /usr/bin/autoheader; then
-	AUTOHEADER="/usr/bin/autoheader"
-else
-	AUTOHEADER="autoheader"
-fi
-
-AUTOM4TE="autom4te"
-
-if test -x /usr/bin/automake; then
-	AUTOMAKE="/usr/bin/automake"
-else
-	AUTOMAKE="automake"
-fi
-
-if test -x /usr/bin/aclocal; then
-	ACLOCAL="/usr/bin/aclocal"
-else
-	ACLOCAL="aclocal"
-fi
-
-# We don't use variable here for remembering the type ... strings.
-# local variables are not that portable, but we fear namespace issues with
-# our includer.  The repeated type calls are not that expensive.
-checkAutoconf()
-{
-  if test -x "`$WHICH autoconf-2.5x`" ; then	
-    AUTOCONF="`$WHICH autoconf-2.5x`"
-  elif test -x "`$WHICH autoconf-2.54`" ; then
-    AUTOCONF="`$WHICH autoconf-2.54`"
-  elif test -x "`$WHICH autoconf-2.53`" ; then
-    AUTOCONF="`$WHICH autoconf-2.53`"
-  elif test -x "`$WHICH autoconf-2.53a`" ; then
-    AUTOCONF="`$WHICH autoconf-2.53a`"
-  elif test -x "`$WHICH autoconf-2.52`" ; then
-    AUTOCONF="`$WHICH autoconf-2.52`"
-  elif test -x "`$WHICH autoconf2.50`" ; then
-    AUTOCONF="`$WHICH autoconf2.50`"
-  fi
-}
-
-checkAutoheader()
-{
-  if test -x "`$WHICH autoheader-2.5x`" ; then
-    AUTOHEADER="`$WHICH autoheader-2.5x`"
-    AUTOM4TE="`$WHICH autom4te-2.5x`"
-  elif test -x "`$WHICH autoheader-2.54`" ; then
-    AUTOHEADER="`$WHICH autoheader-2.54`"
-    AUTOM4TE="`$WHICH autom4te-2.54`"
-  elif test -x "`$WHICH autoheader-2.53`" ; then
-    AUTOHEADER="`$WHICH autoheader-2.53`"
-    AUTOM4TE="`$WHICH autom4te-2.53`"
-  elif test -x "`$WHICH autoheader-2.53a`" ; then
-    AUTOHEADER="`$WHICH autoheader-2.53a`"
-    AUTOM4TE="`$WHICH autom4te-2.53a`"
-  elif test -x "`$WHICH autoheader-2.52`" ; then
-    AUTOHEADER="`$WHICH autoheader-2.52`"
-  elif test -x "`$WHICH autoheader2.50`" ; then
-    AUTOHEADER="`$WHICH autoheader2.50`"
-  fi
-}
-
-checkAutomakeAclocal ()
-{
-  if test -z "$UNSERMAKE"; then
-    if test -x "`$WHICH automake-1.7`" ; then
-      AUTOMAKE="`$WHICH automake-1.7`"
-      ACLOCAL="`$WHICH aclocal-1.7`"
-    elif test -x "`$WHICH automake-1.6`" ; then
-      AUTOMAKE="`$WHICH automake-1.6`"
-      ACLOCAL="`$WHICH aclocal-1.6`"
-    elif test -x "`$WHICH automake-1.5`" ; then
-      AUTOMAKE="`$WHICH automake-1.5`"
-      ACLOCAL="`$WHICH aclocal-1.5`"
-    fi
-  else
-     AUTOMAKE="$UNSERMAKE"
-  fi
-}
-
-checkWhich ()
-{
-  WHICH=""
-  for i in "type -p" "which" "type" ; do
-    T=`$i sh 2> /dev/null`
-    test -x "$T" && WHICH="$i" && break
-  done
-}
-
-checkWhich
-checkAutoconf
-checkAutoheader
-checkAutomakeAclocal
-
-export WHICH AUTOHEADER AUTOCONF AUTOM4TE AUTOMAKE ACLOCAL