Index: trunk/dports/sysutils/pilot-link/Portfile
===================================================================
--- trunk/dports/sysutils/pilot-link/Portfile	(revision 3030)
+++ trunk/dports/sysutils/pilot-link/Portfile	(revision 3031)
@@ -1,7 +1,7 @@
-# $Id: Portfile,v 1.2 2003/03/03 07:14:58 mij Exp $
+# $Id: Portfile,v 1.3 2003/07/11 19:33:47 ranger Exp $
 
 PortSystem 1.0
 name		pilot-link
-version		0.10.99
+version		0.11.7
 revision	1
 categories	sysutils
@@ -11,8 +11,8 @@
 platforms	darwin
 master_sites	http://pilot-link.org/source/
-patchfiles	patch-${name}-${version}.darwin
+patchfiles	patch-${name}.darwin
 depends_lib	lib:libiconv:libiconv lib:libreadline:readline
 
-checksums	md5 c7acfa7464be5eee763137a590a6f282
+checksums	md5 f51ad0900548a6600de7513cc8f606e6
 
 patch {
@@ -28,7 +28,2 @@
 configure.args	--prefix='${prefix}' --with-pic --enable-shared --enable-static --without-python --libexecdir='${prefix}/lib'
 build.env	${configure.env}
-
-# why is this necessary??
-post-build	{
-		system "cd ${worksrcpath}/libpisock++ && make clean all"
-}
Index: trunk/dports/sysutils/pilot-link/files/patch-pilot-link-0.10.99.darwin
===================================================================
--- trunk/dports/sysutils/pilot-link/files/patch-pilot-link-0.10.99.darwin	(revision 3030)
+++ 	(revision )
@@ -1,38 +1,0 @@
-diff -ruN pilot-link-0.10.99.orig/include/pi-source.h pilot-link-0.10.99/include/pi-source.h
---- pilot-link-0.10.99.orig/include/pi-source.h	Tue Mar 19 13:05:11 2002
-+++ pilot-link-0.10.99/include/pi-source.h	Sun Apr  7 21:11:00 2002
-@@ -50,6 +50,10 @@
- #endif
- #endif
- 
-+#ifndef ENOMSG
-+# define ENOMSG 150
-+#endif
-+
- #ifndef WIN32
- #ifdef SGTTY
- # include <sgtty.h>
-diff -ruN pilot-link-0.10.99.orig/libpisock/Makefile.in pilot-link-0.10.99/libpisock/Makefile.in
---- pilot-link-0.10.99.orig/libpisock/Makefile.in	Wed Mar 20 15:31:21 2002
-+++ pilot-link-0.10.99/libpisock/Makefile.in	Sun Apr  7 21:12:49 2002
-@@ -144,7 +144,7 @@
- 
- DEFS = @DEFS@ -I. -I$(srcdir) -I..
- CPPFLAGS = @CPPFLAGS@
--LDFLAGS = @LDFLAGS@
-+LDFLAGS = -L../libpisock/.libs @LDFLAGS@
- LIBS = @LIBS@
- libpisock_la_DEPENDENCIES = 
- libpisock_la_OBJECTS =  unixserial.lo address.lo appinfo.lo connect.lo \
-diff -ruN pilot-link-0.10.99.orig/libpisock++/Makefile.in pilot-link-0.10.99/libpisock++/Makefile.in
---- pilot-link-0.10.99.orig/libpisock++/Makefile.in	Wed Mar 20 15:31:22 2002
-+++ pilot-link-0.10.99/libpisock++/Makefile.in	Sun Apr  7 21:13:09 2002
-@@ -138,7 +138,7 @@
- 
- DEFS = @DEFS@ -I. -I$(srcdir) -I..
- CPPFLAGS = @CPPFLAGS@
--LDFLAGS = @LDFLAGS@
-+LDFLAGS = -L../libpisock++/.libs @LDFLAGS@
- LIBS = @LIBS@
- libpisock___la_DEPENDENCIES =  $(top_builddir)/libpisock/libpisock.la
- libpisock___la_OBJECTS =  address.lo appInfo.lo datebook.lo dlp.lo \
Index: trunk/dports/sysutils/pilot-link/files/patch-pilot-link.darwin
===================================================================
--- trunk/dports/sysutils/pilot-link/files/patch-pilot-link.darwin	(revision 3031)
+++ trunk/dports/sysutils/pilot-link/files/patch-pilot-link.darwin	(revision 3031)
@@ -0,0 +1,473 @@
+diff -ruN pilot-link-0.11.7.orig/bindings/Java/Makefile.in pilot-link-0.11.7/bindings/Java/Makefile.in
+--- pilot-link-0.11.7.orig/bindings/Java/Makefile.in	Sun Jan  5 16:45:18 2003
++++ pilot-link-0.11.7/bindings/Java/Makefile.in	Sun Mar  9 19:07:57 2003
+@@ -494,7 +494,7 @@
+ 	$(JAVAC) -d . $(java_files)
+ 
+ java_lib: Jni.c
+-	$(CXX) $(INCLUDES) $(DEFS) -L $(top_builddir)/libpisock/.libs -lpisock -shared -o libPiJni.so $(srcdir)/Jni.c
++	$(CXX) $(INCLUDES) $(DEFS) -L$(top_builddir)/libpisock/.libs -lpisock -dynamiclib -o libPiJni.so $(srcdir)/Jni.c
+ 
+ java_jar: $(java_classes)
+ 	$(JAR) cvf pilot-link.jar $(java_classes)
+diff -ruN pilot-link-0.11.7.orig/bindings/Makefile.in pilot-link-0.11.7/bindings/Makefile.in
+--- pilot-link-0.11.7.orig/bindings/Makefile.in	Sun Jan  5 16:45:18 2003
++++ pilot-link-0.11.7/bindings/Makefile.in	Sun Mar  9 19:07:57 2003
+@@ -409,7 +409,7 @@
+ 	cd $(srcdir)/Python && $(PYTHON) setup.py build
+ 
+ python-install: python-build
+-	cd $(srcdir)/Python && $(PYTHON) setup.py install --prefix=$(prefix) --root=$(DESTDIR)
++	cd $(srcdir)/Python && $(PYTHON) setup.py install --prefix=$(prefix) --root=/
+ 
+ python-clean: Python/setup.py
+ 	-cd $(srcdir)/Python && $(PYTHON) setup.py clean 
+diff -ruN pilot-link-0.11.7.orig/bindings/Perl/Makefile.PL pilot-link-0.11.7/bindings/Perl/Makefile.PL
+--- pilot-link-0.11.7.orig/bindings/Perl/Makefile.PL	Sun Jan  5 16:45:30 2003
++++ pilot-link-0.11.7/bindings/Perl/Makefile.PL	Sun Mar  9 19:07:57 2003
+@@ -3,17 +3,20 @@
+ # See lib/ExtUtils/MakeMaker.pm for details of how to influence
+ # the contents of the Makefile that is written.
+ 
+-$prefix = "/usr/local";
++$prefix = "@FINKPREFIX@";
+ $exec_prefix = "${prefix}";
+-$libdir = "../../libpisock/.libs";
++$libdir = "${prefix}/lib";
+ 
+-$lib = "-L$libdir -lpisock";
++$libs = "-L$libdir -lpisock";
++$inc = "-I$prefix/include";
++
++@libs = ("$libs");
+ 
+ WriteMakefile(
+     'NAME'       => 'PDA::Pilot',
+     'VERSION'    => '0.11.7',
+-    'LIBS'       => $lib,
++    'LIBS'       => \@libs,
+     'XSPROTOARG' => '-noprototypes',
+-    'INC'        => '-I../../include',
++    'INC'        => $inc,
+     'DEFINE'     => '-DPERL_POLLUTE',
+ );
+diff -ruN pilot-link-0.11.7.orig/configure pilot-link-0.11.7/configure
+--- pilot-link-0.11.7.orig/configure	Sun Jan  5 16:45:21 2003
++++ pilot-link-0.11.7/configure	Sun Mar  9 19:23:22 2003
+@@ -8106,7 +8106,7 @@
+ 
+ 
+ if test "x$with_python" != "xno"; then
+-        for ac_prog in python2 python
++        for ac_prog in python2.2 python2 python
+ do
+ # Extract the first word of "$ac_prog", so it can be a program name with args.
+ set dummy $ac_prog; ac_word=$2
+diff -ruN pilot-link-0.11.7.orig/libpisock++/Makefile.in pilot-link-0.11.7/libpisock++/Makefile.in
+--- pilot-link-0.11.7.orig/libpisock++/Makefile.in	Sun Jan  5 16:45:19 2003
++++ pilot-link-0.11.7/libpisock++/Makefile.in	Sun Mar  9 19:07:57 2003
+@@ -225,8 +225,17 @@
+ 
+ clean-libLTLIBRARIES:
+ 	-test -z "$(lib_LTLIBRARIES)" || rm -f $(lib_LTLIBRARIES)
++
+ libpisock++.la: $(libpisock___la_OBJECTS) $(libpisock___la_DEPENDENCIES) 
+-	$(CXXLINK) -rpath $(libdir) $(libpisock___la_LDFLAGS) $(libpisock___la_OBJECTS) $(libpisock___la_LIBADD) $(LIBS)
++	rm -fr .libs/libpisock++.la .libs/libpisock++.* .libs/libpisock++.*
++	c++ -r -keep_private_externs -nostdlib -o .libs/libpisock++.0.0.0.dylib-master.o  address.lo appInfo.lo datebook.lo dlp.lo memo.lo todo.lo && c++ -dynamiclib -flat_namespace -undefined suppress -o .libs/libpisock++.0.0.0.dylib .libs/libpisock++.0.0.0.dylib-master.o  -L../libpisock/.libs -lpisock -L$(libdir) -liconv -lncurses -lreadline -lc -install_name $(libdir)/libpisock++.0.dylib -compatibility_version 1 -current_version 1.0
++	(cd .libs && rm -f libpisock++.0.dylib && ln -s libpisock++.0.0.0.dylib libpisock++.0.dylib)
++	(cd .libs && rm -f libpisock++.dylib && ln -s libpisock++.0.0.0.dylib libpisock++.dylib)
++	ar cru .libs/libpisock++.a  address.o appInfo.o datebook.o dlp.o memo.o todo.o 
++	ranlib .libs/libpisock++.a
++	sed -e s,'8','0',g -e s,'4','0',g -e s,'libpisock','libpisock++',g -e s,'-lreadline','-lreadline -lpisock',g ../libpisock/libpisock.la > libpisock++.la
++	(cd .libs && rm -f libpisock++.la && ln -s ../libpisock++.la libpisock++.la)
++	(cd .libs && sed -e s,'8','0',g -e s,'4','0',g -e s,'libpisock','libpisock++',g -e s,'-lreadline','-lreadline -lpisock',g ../../libpisock/.libs/libpisock.lai > libpisock++.lai)
+ 
+ mostlyclean-compile:
+ 	-rm -f *.$(OBJEXT) core *.core
+diff -ruN pilot-link-0.11.7.orig/src/Makefile.in pilot-link-0.11.7/src/Makefile.in
+--- pilot-link-0.11.7.orig/src/Makefile.in	Sun Jan  5 16:45:20 2003
++++ pilot-link-0.11.7/src/Makefile.in	Sun Mar  9 19:07:57 2003
+@@ -211,8 +211,9 @@
+ 	ccexample.cc
+ 
+ ccexample_LDADD = \
+-	$(top_builddir)/libpisock++/libpisock++.la	\
+-	$(top_builddir)/libpisock/libpisock.la
++	$(top_builddir)/libpisock/libpisock.la	\
++	$(top_builddir)/libpisock++/libpisock++.la \
++	$(ICONV_LIBS) $(RL_LIBS)
+ 
+ 
+ addresses_SOURCES = \
+@@ -220,14 +221,16 @@
+ 	addresses.c
+ 
+ addresses_LDADD = \
+-	$(top_builddir)/libpisock/libpisock.la
++	$(top_builddir)/libpisock/libpisock.la \
++	$(ICONV_LIBS) $(RL_LIBS)
+ 
+ 
+ debugsh_SOURCES = \
+ 	debugsh.c
+ 
+ debugsh_LDADD = \
+-	$(top_builddir)/libpisock/libpisock.la
++	$(top_builddir)/libpisock/libpisock.la \
++	$(ICONV_LIBS) $(RL_LIBS)
+ 
+ 
+ dlpsh_SOURCES = \
+@@ -235,8 +238,8 @@
+ 	dlpsh.c
+ 
+ dlpsh_LDADD = \
+-	$(RL_LIBS)				\
+-	$(top_builddir)/libpisock/libpisock.la
++	$(top_builddir)/libpisock/libpisock.la \
++	$(ICONV_LIBS) $(RL_LIBS)
+ 
+ 
+ 
+@@ -249,7 +252,8 @@
+ 	hinotes.c
+ 
+ hinotes_LDADD = \
+-	$(top_builddir)/libpisock/libpisock.la
++	$(top_builddir)/libpisock/libpisock.la \
++	$(ICONV_LIBS) $(RL_LIBS)
+ 
+ 
+ install_datebook_SOURCES = \
+@@ -258,7 +262,8 @@
+ 	parsedate.y
+ 
+ install_datebook_LDADD = \
+-	$(top_builddir)/libpisock/libpisock.la
++	$(top_builddir)/libpisock/libpisock.la \
++	$(ICONV_LIBS) $(RL_LIBS)
+ 
+ 
+ install_expenses_SOURCES = \
+@@ -266,7 +271,8 @@
+ 	install-expenses.c
+ 
+ install_expenses_LDADD = \
+-	$(top_builddir)/libpisock/libpisock.la
++	$(top_builddir)/libpisock/libpisock.la \
++	$(ICONV_LIBS) $(RL_LIBS)
+ 
+ 
+ install_hinote_SOURCES = \
+@@ -274,7 +280,8 @@
+ 	install-hinote.c
+ 
+ install_hinote_LDADD = \
+-	$(top_builddir)/libpisock/libpisock.la
++	$(top_builddir)/libpisock/libpisock.la \
++	$(ICONV_LIBS) $(RL_LIBS)
+ 
+ 
+ install_memo_SOURCES = \
+@@ -282,7 +289,8 @@
+ 	install-memo.c
+ 
+ install_memo_LDADD = \
+-	$(top_builddir)/libpisock/libpisock.la
++	$(top_builddir)/libpisock/libpisock.la \
++	$(ICONV_LIBS) $(RL_LIBS)
+ 
+ 
+ install_netsync_SOURCES = \
+@@ -290,7 +298,8 @@
+ 	install-netsync.c
+ 
+ install_netsync_LDADD = \
+-	$(top_builddir)/libpisock/libpisock.la
++	$(top_builddir)/libpisock/libpisock.la \
++	$(ICONV_LIBS) $(RL_LIBS)
+ 
+ 
+ install_todos_SOURCES = \
+@@ -298,7 +307,8 @@
+ 	install-todos.c
+ 
+ install_todos_LDADD = \
+-	$(top_builddir)/libpisock/libpisock.la
++	$(top_builddir)/libpisock/libpisock.la \
++	$(ICONV_LIBS) $(RL_LIBS)
+ 
+ 
+ install_todo_SOURCES = \
+@@ -306,7 +316,8 @@
+         install-todo.c  
+ 
+ install_todo_LDADD = \
+-        $(top_builddir)/libpisock/libpisock.la
++        $(top_builddir)/libpisock/libpisock.la \
++	$(ICONV_LIBS) $(RL_LIBS)
+ 
+ 
+ install_user_SOURCES = \
+@@ -314,7 +325,8 @@
+ 	install-user.c
+ 
+ install_user_LDADD = \
+-	$(top_builddir)/libpisock/libpisock.la
++	$(top_builddir)/libpisock/libpisock.la \
++	$(ICONV_LIBS) $(RL_LIBS)
+ 
+ 
+ memos_SOURCES = \
+@@ -322,7 +334,8 @@
+ 	memos.c
+ 
+ memos_LDADD = \
+-	$(top_builddir)/libpisock/libpisock.la
++	$(top_builddir)/libpisock/libpisock.la \
++	$(ICONV_LIBS) $(RL_LIBS)
+ 
+ 
+ money2qif_SOURCES = \
+@@ -330,7 +343,8 @@
+ 	money2qif.c
+ 
+ money2qif_LDADD = \
+-	$(top_builddir)/libpisock/libpisock.la
++	$(top_builddir)/libpisock/libpisock.la \
++	$(ICONV_LIBS) $(RL_LIBS)
+ 
+ 
+ pi_csd_SOURCES = \
+@@ -338,7 +352,8 @@
+ 	pi-csd.c
+ 
+ pi_csd_LDADD = \
+-	$(top_builddir)/libpisock/libpisock.la
++	$(top_builddir)/libpisock/libpisock.la \
++	$(ICONV_LIBS) $(RL_LIBS)
+ 
+ 
+ pi_getram_SOURCES = \
+@@ -346,7 +361,8 @@
+ 	pi-getram.c
+ 
+ pi_getram_LDADD = \
+-	$(top_builddir)/libpisock/libpisock.la
++	$(top_builddir)/libpisock/libpisock.la \
++	$(ICONV_LIBS) $(RL_LIBS)
+ 
+ 
+ pi_getrom_SOURCES = \
+@@ -354,7 +370,8 @@
+ 	pi-getrom.c
+ 
+ pi_getrom_LDADD = \
+-	$(top_builddir)/libpisock/libpisock.la
++	$(top_builddir)/libpisock/libpisock.la \
++	$(ICONV_LIBS) $(RL_LIBS)
+ 
+ 
+ pi_getromtoken_SOURCES = \
+@@ -362,7 +379,8 @@
+ 	pi-getromtoken.c
+ 
+ pi_getromtoken_LDADD = \
+-	$(top_builddir)/libpisock/libpisock.la
++	$(top_builddir)/libpisock/libpisock.la \
++	$(ICONV_LIBS) $(RL_LIBS)
+ 
+ 
+ pi_nredir_SOURCES = \
+@@ -370,7 +388,8 @@
+ 	pi-nredir.c
+ 
+ pi_nredir_LDADD = \
+-	$(top_builddir)/libpisock/libpisock.la
++	$(top_builddir)/libpisock/libpisock.la \
++	$(ICONV_LIBS) $(RL_LIBS)
+ 
+ 
+ 
+@@ -384,7 +403,8 @@
+ 	pilot-addresses.c
+ 
+ pilot_addresses_LDADD = \
+-	$(top_builddir)/libpisock/libpisock.la
++	$(top_builddir)/libpisock/libpisock.la \
++	$(ICONV_LIBS) $(RL_LIBS)
+ 
+ 
+ pilot_archive_SOURCES = \
+@@ -392,7 +412,8 @@
+         pilot-archive.c
+ 
+ pilot_archive_LDADD = \
+-        $(top_builddir)/libpisock/libpisock.la
++        $(top_builddir)/libpisock/libpisock.la \
++	$(ICONV_LIBS) $(RL_LIBS)
+ 
+ 
+ pilot_clip_SOURCES = \
+@@ -400,7 +421,8 @@
+ 	pilot-clip.c
+ 
+ pilot_clip_LDADD = \
+-	$(top_builddir)/libpisock/libpisock.la
++	$(top_builddir)/libpisock/libpisock.la \
++	$(ICONV_LIBS) $(RL_LIBS)
+ 
+ 
+ pilot_debug_SOURCES = \
+@@ -408,9 +430,8 @@
+ 	pilot-debug.c
+ 
+ pilot_debug_LDADD = \
+-	$(TCLTKLIBS)				\
+-	$(RL_LIBS)				\
+-	$(top_builddir)/libpisock/libpisock.la
++	$(top_builddir)/libpisock/libpisock.la \
++	$(TCLTKLIBS) $(ICONV_LIBS) $(RL_LIBS)
+ 
+ 
+ pilot_dedupe_SOURCES = \
+@@ -418,7 +439,8 @@
+ 	pilot-dedupe.c
+ 
+ pilot_dedupe_LDADD = \
+-	$(top_builddir)/libpisock/libpisock.la
++	$(top_builddir)/libpisock/libpisock.la \
++	$(ICONV_LIBS) $(RL_LIBS)
+ 
+ 
+ pilot_file_SOURCES = \
+@@ -426,7 +448,8 @@
+ 	pilot-file.c
+ 
+ pilot_file_LDADD = \
+-	$(top_builddir)/libpisock/libpisock.la
++	$(top_builddir)/libpisock/libpisock.la \
++	$(ICONV_LIBS) $(RL_LIBS)
+ 
+ 
+ 
+@@ -447,7 +470,8 @@
+ 	pilot-prc.c
+ 
+ pilot_prc_LDADD = \
+-	$(top_builddir)/libpisock/libpisock.la
++	$(top_builddir)/libpisock/libpisock.la \
++	$(ICONV_LIBS) $(RL_LIBS)
+ 
+ 
+ pilot_schlep_SOURCES = \
+@@ -455,7 +479,8 @@
+ 	pilot-schlep.c
+ 
+ pilot_schlep_LDADD = \
+-	$(top_builddir)/libpisock/libpisock.la
++	$(top_builddir)/libpisock/libpisock.la \
++	$(ICONV_LIBS) $(RL_LIBS)
+ 
+ 
+ pilot_xfer_SOURCES = \
+@@ -463,7 +488,8 @@
+ 	pilot-xfer.c
+ 
+ pilot_xfer_LDADD = \
+-	$(top_builddir)/libpisock/libpisock.la
++	$(top_builddir)/libpisock/libpisock.la \
++	$(ICONV_LIBS) $(RL_LIBS)
+ 
+ 
+ read_expenses_SOURCES = \
+@@ -471,7 +497,8 @@
+ 	read-expenses.c
+ 
+ read_expenses_LDADD = \
+-	$(top_builddir)/libpisock/libpisock.la
++	$(top_builddir)/libpisock/libpisock.la \
++	$(ICONV_LIBS) $(RL_LIBS)
+ 
+ 
+ read_ical_SOURCES = \
+@@ -479,7 +506,8 @@
+ 	read-ical.c
+ 
+ read_ical_LDADD = \
+-	$(top_builddir)/libpisock/libpisock.la
++	$(top_builddir)/libpisock/libpisock.la \
++	$(ICONV_LIBS) $(RL_LIBS)
+ 
+ 
+ read_notepad_SOURCES = \
+@@ -487,8 +515,8 @@
+ 	read-notepad.c
+ 
+ read_notepad_LDADD = \
+-	$(PNG_LIBS) 				\
+-	$(top_builddir)/libpisock/libpisock.la
++	$(top_builddir)/libpisock/libpisock.la \
++	$(PNG_LIBS) $(ICONV_LIBS) $(RL_LIBS) -lz
+ 
+ 
+ read_palmpix_SOURCES = \
+@@ -496,8 +524,8 @@
+ 	read-palmpix.c
+ 
+ read_palmpix_LDADD = \
+-	$(PNG_LIBS) 				\
+-	$(top_builddir)/libpisock/libpisock.la
++	$(top_builddir)/libpisock/libpisock.la \
++	$(PNG_LIBS) $(ICONV_LIBS) $(RL_LIBS) -lz
+ 
+ 
+ read_todos_SOURCES = \
+@@ -505,7 +533,8 @@
+ 	read-todos.c
+ 
+ read_todos_LDADD = \
+-	$(top_builddir)/libpisock/libpisock.la
++	$(top_builddir)/libpisock/libpisock.la \
++	$(ICONV_LIBS) $(RL_LIBS)
+ 
+ 
+ reminders_SOURCES = \
+@@ -513,7 +542,8 @@
+ 	reminders.c
+ 
+ reminders_LDADD = \
+-	$(top_builddir)/libpisock/libpisock.la
++	$(top_builddir)/libpisock/libpisock.la \
++	$(ICONV_LIBS) $(RL_LIBS)
+ 
+ 
+ CLEANFILES = $(PERLSCRIPTS)
+@@ -996,9 +1026,11 @@
+ addresses$(EXEEXT): $(addresses_OBJECTS) $(addresses_DEPENDENCIES) 
+ 	@rm -f addresses$(EXEEXT)
+ 	$(LINK) $(addresses_LDFLAGS) $(addresses_OBJECTS) $(addresses_LDADD) $(LIBS)
+-ccexample$(EXEEXT): $(ccexample_OBJECTS) $(ccexample_DEPENDENCIES) 
++ccexample$(EXEEXT): $(ccexample_OBJECTS) $(ccexample_DEPENDENCIES)
+ 	@rm -f ccexample$(EXEEXT)
+-	$(CXXLINK) $(ccexample_LDFLAGS) $(ccexample_OBJECTS) $(ccexample_LDADD) $(LIBS)
++	mkdir .libs
++	c++ -O2 -o .libs/ccexample $(ccexample_OBJECTS) -L../libpisock/.libs -L../libpisock++/.libs -lpisock++ -lpisock -L$(libdir) -liconv -lncurses -lreadline
++	sed -e s,'$$thisdir/../../libpisock/.libs','$$thisdir/../libpisock\/.libs:$$thisdir/../libpisock++\/.libs',g -e s,'../../libpisock/libpisock.la','../libpisock/libpisock.la ../libpisock++/libpisock++.la',g -e s,'pilot-datebook','ccexample',g  pilot-datebook/pilot-datebook$(EXEEXT) > ccexample$(EXEEXT)
+ debugsh$(EXEEXT): $(debugsh_OBJECTS) $(debugsh_DEPENDENCIES) 
+ 	@rm -f debugsh$(EXEEXT)
+ 	$(LINK) $(debugsh_LDFLAGS) $(debugsh_OBJECTS) $(debugsh_LDADD) $(LIBS)
+diff -ruN pilot-link-0.11.7.orig/src/pilot-datebook/Makefile.in pilot-link-0.11.7/src/pilot-datebook/Makefile.in
+--- pilot-link-0.11.7.orig/src/pilot-datebook/Makefile.in	Sun Jan  5 16:45:20 2003
++++ pilot-link-0.11.7/src/pilot-datebook/Makefile.in	Sun Mar  9 19:07:57 2003
+@@ -183,7 +183,8 @@
+ 
+ 
+ pilot_datebook_LDADD = \
+-	$(top_builddir)/libpisock/libpisock.la	
++	$(top_builddir)/libpisock/libpisock.la \
++	$(ICONV_LIBS) $(RL_LIBS)
+ 
+ 
+ EXTRA_DIST = \