Index: trunk/dports/devel/byaccj/Portfile
===================================================================
--- trunk/dports/devel/byaccj/Portfile	(revision 3860)
+++ trunk/dports/devel/byaccj/Portfile	(revision 3860)
@@ -0,0 +1,41 @@
+# $Id: Portfile,v 1.1 2003/10/30 16:53:33 mww Exp $
+
+PortSystem 1.0
+
+name		byaccj
+version		1.1
+categories	devel java
+maintainers	mww@opendarwin.org
+description	yacc compatible parser generator with Java extension
+long_description	byacc/j is an extension to the Berkeley v1.8 yacc \
+		compatible parser generator. byacc/j not only can produce \
+		C/C++ source for a LALR-grammar parser, but also Java source.
+
+homepage	http://troi.lincom-asg.com/~rjamison/byacc/
+master_sites	${homepage}
+distname	${name}${version}
+checksums	md5 f47267af6d9dfe6914be3c08ffc7713c
+platforms	darwin
+
+use_configure	no
+
+build.dir	${worksrcpath}/src
+
+destroot	{ file mkdir ${destroot}${prefix}/share/doc/${name}
+		system "install -m 755 ${worksrcpath}/src/yacc \
+			${destroot}${prefix}/bin/yacc \
+		&& install -m 644 ${worksrcpath}/README \
+			${destroot}${prefix}/share/doc/${name}"
+}
+
+variant darwin {
+	patchfiles	patch-defs.h.diff \
+			patch-lalr.c.diff \
+			patch-lr0.c.diff \
+			patch-main.c.diff \
+			patch-mkpar.c.diff \
+			patch-output.c.diff \
+			patch-reader.c.diff \
+			patch-symtab.c.diff \
+			patch-verbose.c.diff
+}
Index: trunk/dports/devel/byaccj/files/patch-defs.h.diff
===================================================================
--- trunk/dports/devel/byaccj/files/patch-defs.h.diff	(revision 3860)
+++ trunk/dports/devel/byaccj/files/patch-defs.h.diff	(revision 3860)
@@ -0,0 +1,11 @@
+--- src/defs.h	Thu Oct 30 16:20:26 2003
++++ src/defs.h.new	Thu Oct 30 16:20:33 2003
+@@ -1,7 +1,7 @@
+ #include <assert.h>
+ #include <ctype.h>
+ #include <stdio.h>
+-#include <malloc.h>
++#include <sys/malloc.h>
+ 
+ 
+ 
Index: trunk/dports/devel/byaccj/files/patch-lalr.c.diff
===================================================================
--- trunk/dports/devel/byaccj/files/patch-lalr.c.diff	(revision 3860)
+++ trunk/dports/devel/byaccj/files/patch-lalr.c.diff	(revision 3860)
@@ -0,0 +1,9 @@
+--- src/lalr.c	Mon May 21 16:01:52 2001
++++ src/lalr.c.new	Thu Oct 30 16:26:04 2003
+@@ -1,5 +1,5 @@
+ #include <stdio.h>
+-#include <malloc.h>
++#include <sys/malloc.h>
+ 
+ #include "defs.h"
+ 
Index: trunk/dports/devel/byaccj/files/patch-lr0.c.diff
===================================================================
--- trunk/dports/devel/byaccj/files/patch-lr0.c.diff	(revision 3860)
+++ trunk/dports/devel/byaccj/files/patch-lr0.c.diff	(revision 3860)
@@ -0,0 +1,9 @@
+--- src/lr0.c	Mon May 21 16:01:52 2001
++++ src/lr0.c.new	Thu Oct 30 16:30:40 2003
+@@ -1,5 +1,5 @@
+ #include <stdio.h>
+-#include <malloc.h>
++#include <sys/malloc.h>
+ 
+ #include "defs.h"
+ 
Index: trunk/dports/devel/byaccj/files/patch-main.c.diff
===================================================================
--- trunk/dports/devel/byaccj/files/patch-main.c.diff	(revision 3860)
+++ trunk/dports/devel/byaccj/files/patch-main.c.diff	(revision 3860)
@@ -0,0 +1,11 @@
+--- src/main.c	Mon May 21 16:01:53 2001
++++ src/main.c.new	Thu Oct 30 16:24:35 2003
+@@ -1,7 +1,7 @@
+ #include <stdio.h>
+ #include <stdlib.h>
+ #include <string.h>
+-#include <malloc.h>
++#include <sys/malloc.h>
+ 
+ #ifndef __WIN32__  /*rwj  --  make portable*/
+ #include <signal.h>
Index: trunk/dports/devel/byaccj/files/patch-mkpar.c.diff
===================================================================
--- trunk/dports/devel/byaccj/files/patch-mkpar.c.diff	(revision 3860)
+++ trunk/dports/devel/byaccj/files/patch-mkpar.c.diff	(revision 3860)
@@ -0,0 +1,9 @@
+--- src/mkpar.c	Mon May 21 16:01:53 2001
++++ src/mkpar.c.new	Thu Oct 30 16:26:50 2003
+@@ -1,5 +1,5 @@
+ #include <stdio.h>
+-#include <malloc.h>
++#include <sys/malloc.h>
+ 
+ #include "defs.h"
+ 
Index: trunk/dports/devel/byaccj/files/patch-output.c.diff
===================================================================
--- trunk/dports/devel/byaccj/files/patch-output.c.diff	(revision 3860)
+++ trunk/dports/devel/byaccj/files/patch-output.c.diff	(revision 3860)
@@ -0,0 +1,10 @@
+--- src/output.c	Mon May 21 16:01:53 2001
++++ src/output.c.new	Thu Oct 30 16:31:40 2003
+@@ -1,6 +1,6 @@
+ #include <stdio.h>
+ #include <string.h>
+-#include <malloc.h>
++#include <sys/malloc.h>
+ 
+ #include "defs.h"
+ 
Index: trunk/dports/devel/byaccj/files/patch-reader.c.diff
===================================================================
--- trunk/dports/devel/byaccj/files/patch-reader.c.diff	(revision 3860)
+++ trunk/dports/devel/byaccj/files/patch-reader.c.diff	(revision 3860)
@@ -0,0 +1,10 @@
+--- src/reader.c	Mon May 21 16:01:53 2001
++++ src/reader.c.new	Thu Oct 30 16:32:39 2003
+@@ -1,6 +1,6 @@
+ #include <stdio.h>
+ #include <string.h>
+-#include <malloc.h>
++#include <sys/malloc.h>
+ 
+ #include "defs.h"
+ 
Index: trunk/dports/devel/byaccj/files/patch-symtab.c.diff
===================================================================
--- trunk/dports/devel/byaccj/files/patch-symtab.c.diff	(revision 3860)
+++ trunk/dports/devel/byaccj/files/patch-symtab.c.diff	(revision 3860)
@@ -0,0 +1,9 @@
+--- src/symtab.c	Mon May 21 16:01:53 2001
++++ src/symtab.c.new	Thu Oct 30 16:33:25 2003
+@@ -1,5 +1,5 @@
+ #include <stdio.h>
+-#include <malloc.h>
++#include <sys/malloc.h>
+ #include <string.h>
+ 
+ #include "defs.h"
Index: trunk/dports/devel/byaccj/files/patch-verbose.c.diff
===================================================================
--- trunk/dports/devel/byaccj/files/patch-verbose.c.diff	(revision 3860)
+++ trunk/dports/devel/byaccj/files/patch-verbose.c.diff	(revision 3860)
@@ -0,0 +1,9 @@
+--- src/verbose.c	Mon May 21 16:01:53 2001
++++ src/verbose.c.new	Thu Oct 30 16:27:36 2003
+@@ -1,5 +1,5 @@
+ #include <stdio.h>
+-#include <malloc.h>
++#include <sys/malloc.h>
+ 
+ #include "defs.h"
+ 