Index: trunk/doc/guide/xml/commands.xml
===================================================================
--- trunk/doc/guide/xml/commands.xml	(revision 3093)
+++ trunk/doc/guide/xml/commands.xml	(revision 3977)
@@ -85,5 +85,5 @@
 
         <varlistentry>
-          <term>extract.sufx</term>
+          <term>extract.suffix</term>
 
           <listitem>
@@ -92,5 +92,5 @@
             <para>Suffix to append to ${distname}</para>
 
-            <para><userinput>extract.sufx .tgz</userinput></para>
+            <para><userinput>extract.suffix .tgz</userinput></para>
 
           </listitem>
@@ -103,5 +103,5 @@
             <synopsis>Type: optional</synopsis>
 
-            <para>Sets extract.sufx to: .zip Sets extract.cmd to: 
+            <para>Sets extract.suffix to: .zip Sets extract.cmd to: 
             unzip Sets extract.pre_args to: -q Sets extract.post_args 
             to: "-d $portpath/$workdir"</para>
Index: trunk/doc/guide/xml/details.xml
===================================================================
--- trunk/doc/guide/xml/details.xml	(revision 3093)
+++ trunk/doc/guide/xml/details.xml	(revision 3977)
@@ -268,12 +268,12 @@
 				</listitem>
 			</varlistentry>
-			<varlistentry id='extract.sufx'>
-				<term>extract.sufx</term>
-				<listitem>
-					<para>By default the value of ${extract.sufx} is .tar.gz. 
-					Specifying extract.sufx is optional, only use it if the 
+			<varlistentry id='extract.suffix'>
+				<term>extract.suffix</term>
+				<listitem>
+					<para>By default the value of ${extract.suffix} is .tar.gz. 
+					Specifying extract.suffix is optional, only use it if the 
 					suffix is not 'tar.gz.'. </para>
 					
-					<para><userinput>extract.sufx .tgz</userinput></para>
+					<para><userinput>extract.suffix .tgz</userinput></para>
 					
 				</listitem>
@@ -285,5 +285,5 @@
 					Specifying distname is optional, only use it if the 
 					file that contains the port is not ${name}-${version} 
-					(without the extract.sufx).</para>
+					(without the extract.suffix).</para>
 					
 					<para><userinput>distname ${name}_${version}</userinput></para>
@@ -295,10 +295,10 @@
 				<term>distfiles</term>
 				<listitem>
-					<para>Defaults to ${distname}.${extract.sufx}. Specifying 
+					<para>Defaults to ${distname}.${extract.suffix}. Specifying 
 					distfiles is optional, only use it if the file that 
-					contains the port is not ${distname}.${extract.sufx} 
+					contains the port is not ${distname}.${extract.suffix} 
 					or more than one file needs to be retirieved. </para>
 					
-					<para><userinput>distfiles stable.${extract.sufx} 
+					<para><userinput>distfiles stable.${extract.suffix} 
 					installer.sh</userinput></para>
 					
@@ -311,5 +311,5 @@
 					newlines. </para>
 					<para><userinput>distfiles 
-					stable.${extract.sufx}:source 
+					stable.${extract.suffix}:source 
 					installer.sh:install</userinput></para>
 				</listitem>
@@ -321,5 +321,5 @@
 					<para>Specifying use_zip is optional, only use it if 
 					the file downloades is zipped rather than tarred and 
-					gziped. use_zip set ${extract.sufx} to .zip and 
+					gziped. use_zip set ${extract.suffix} to .zip and 
 					extract.cmd to unzip, extract.pre_args to -q and 
 					extract.post_args to "-d $portpath/$workdir".</para>
@@ -334,5 +334,5 @@
 					<para>Specifying use_bzip2 is optional, only use it 
 					if the file downloades is bzipped rather than tarred 
-					and gziped. use_bzip2 set ${extract.sufx} to .bzip2 
+					and gziped. use_bzip2 set ${extract.suffix} to .bzip2 
 					and extract.cmd to bzip2.</para>
 					
@@ -548,5 +548,5 @@
 						
 						<para><programlisting><userinput>
-						${distname}-${extract.sufx} md5 65b89365a65dcad71d4402b48 \
+						${distname}-${extract.suffix} md5 65b89365a65dcad71d4402b48 \
 						foo.tar.gz md5 65b89365a65dcad71d4402b44</userinput>
 							</programlisting></para>
Index: trunk/doc/guide/xml/quick.xml
===================================================================
--- trunk/doc/guide/xml/quick.xml	(revision 3093)
+++ trunk/doc/guide/xml/quick.xml	(revision 3977)
@@ -443,5 +443,5 @@
           <listitem>
             <para><varname>distfile</varname> is the name and version
-              combined with the <varname>extract_sufx</varname> (by
+              combined with the <varname>extract.suffix</varname> (by
               default <filename>${name}-${version}.tar.gz</filename>) 
               by default, and is used by DarwinPorts to fetch the 
@@ -618,5 +618,5 @@
       <title>Expat <filename>Portfile</filename></title>
       <programlisting><![CDATA[########################### libxslt Portfile ##################################
-# $Id: quick.xml,v 1.14 2003/07/30 14:35:39 fkr Exp $
+# $Id: quick.xml,v 1.15 2003/11/17 21:19:52 jkh Exp $
 
 PortSystem      1.0
@@ -646,5 +646,5 @@
 
 <programlisting><![CDATA[###########################neon Portfile####################################
-# $Id: quick.xml,v 1.14 2003/07/30 14:35:39 fkr Exp $
+# $Id: quick.xml,v 1.15 2003/11/17 21:19:52 jkh Exp $
           
 PortSystem 1.0 