Index: trunk/dports/gnome/gnome-icon-theme/Portfile
===================================================================
--- trunk/dports/gnome/gnome-icon-theme/Portfile	(revision 4107)
+++ trunk/dports/gnome/gnome-icon-theme/Portfile	(revision 4108)
@@ -1,6 +1,6 @@
-# $Id: Portfile,v 1.7 2003/10/20 18:44:49 olegb Exp $
+# $Id: Portfile,v 1.8 2003/12/05 22:41:39 olegb Exp $
 PortSystem 1.0
 name		gnome-icon-theme
-version		1.0.6
+version		1.0.9
 description	A collection of icons for the GNOME 2 desktop.
 long_description        gnome-icon-theme is a collection of icons and \
@@ -11,6 +11,6 @@
 homepage	http://www.gnome.org/
 master_sites    gnome:sources/gnome-icon-theme/1.0/
-checksums	md5 1d5b1e77fda701950b8b86f6444426c1
-depends_lib	lib:libstartup-notification-1:startup-notification
+checksums	md5 f11da9541223537fc8f65a42a09fa49d
+depends_lib	lib:libbonoboui-2:libbonoboui
 use_bzip2 	yes
 configure.args  --mandir=${prefix}/share/man
Index: trunk/dports/gnome/gnome-vfs/Portfile
===================================================================
--- trunk/dports/gnome/gnome-vfs/Portfile	(revision 4107)
+++ trunk/dports/gnome/gnome-vfs/Portfile	(revision 4108)
@@ -1,6 +1,6 @@
-# $Id: Portfile,v 1.11 2003/10/20 18:47:33 olegb Exp $
+# $Id: Portfile,v 1.12 2003/12/05 22:33:18 olegb Exp $
 PortSystem 1.0
 name		gnome-vfs
-version		2.2.5
+version		2.4.1
 description	This is the GNOME Virtual File System.
 long_description        This is the GNOME Virtual File System. \
@@ -11,16 +11,16 @@
 platforms	darwin 
 homepage	http://www.gnome.org/
-master_sites    gnome:sources/gnome-vfs/2.2/
-checksums	md5 6ed2702382675c78eed6a96b2296e51d
-depends_lib	lib:libgconf-2:gconf lib:gnome-mime-magic:gnome-mime-data
-patchfiles	patch_gnome-vfs-utils.c patch_file-metod.c \
-		patch_ltmain.sh
+master_sites    gnome:sources/gnome-vfs/2.4/
+checksums	md5 cb7a36076f6a65e40c7f540be3057310
+depends_lib	lib:gnome-mime-magic:gnome-mime-data
+patchfiles	patch_gnome-vfs-utils.c  patch_extfs-method.c \
+		patch_file-metod.c patch_bzip2-method.c 
 use_bzip2 	yes
-configure.args  --mandir=${prefix}/share/man
+configure.args  --mandir=${prefix}/share/man 
 configure.env   CPPFLAGS="-L${prefix}/lib -I${prefix}/include" \
                 CFLAGS="-no-cpp-precomp -flat_namespace -undefined suppress" 
-post-destroot	{
-		reinplace "s|libvfolder-desktop.so|libvfolder-desktop.dylib|g" \
-                    ${destroot}/${prefix}/etc/gnome-vfs-2.0/modules/default-modules.conf
-		}
+#post-destroot	{
+		#reinplace "s|libvfolder-desktop.so|libvfolder-desktop.dylib|g" \
+                    #${destroot}/${prefix}/etc/gnome-vfs-2.0/modules/default-modules.conf
+		#}
 
Index: trunk/dports/gnome/gnome-vfs/files/patch_bzip2-method.c
===================================================================
--- trunk/dports/gnome/gnome-vfs/files/patch_bzip2-method.c	(revision 4108)
+++ trunk/dports/gnome/gnome-vfs/files/patch_bzip2-method.c	(revision 4108)
@@ -0,0 +1,16 @@
+--- modules/bzip2-method.c.org	Sun Nov 23 17:22:25 2003
++++ modules/bzip2-method.c	Sun Nov 23 17:22:47 2003
+@@ -37,13 +37,6 @@
+ 
+ #include <bzlib.h>
+ 
+-#ifdef HAVE_OLDER_BZIP2
+-#define BZ2_bzDecompressInit  bzDecompressInit
+-#define BZ2_bzCompressInit    bzCompressInit
+-#define BZ2_bzDecompress      bzDecompress
+-#define BZ2_bzCompress        bzCompress
+-#endif
+-
+ #define BZ_BUFSIZE   5000
+ 
+ struct _Bzip2MethodHandle {
Index: trunk/dports/gnome/gnome-vfs/files/patch_extfs-method.c
===================================================================
--- trunk/dports/gnome/gnome-vfs/files/patch_extfs-method.c	(revision 4108)
+++ trunk/dports/gnome/gnome-vfs/files/patch_extfs-method.c	(revision 4108)
@@ -0,0 +1,20 @@
+--- modules/extfs-method.c.org	Sun Nov 23 16:36:59 2003
++++ modules/extfs-method.c	Sun Nov 23 16:37:38 2003
+@@ -49,9 +49,6 @@
+ #include <unistd.h>
+ #include <stdlib.h>
+ 
+-#ifndef HAVE_GETDELIM
+-
+-
+ /* Read up to (and including) a TERMINATOR from STREAM into *LINEPTR
+    (and null-terminate it). *LINEPTR is a pointer returned from malloc (or
+    NULL), pointing to *N characters of space.  It is realloc'd as
+@@ -131,7 +128,6 @@
+ 	}
+ 
+ 
+-#endif
+ 
+ #define EXTFS_COMMAND_DIR	LIBDIR "/vfs/2.0/extfs"
+ 
Index: trunk/dports/gnome/gnome-vfs/files/patch_file-metod.c
===================================================================
--- trunk/dports/gnome/gnome-vfs/files/patch_file-metod.c	(revision 4107)
+++ trunk/dports/gnome/gnome-vfs/files/patch_file-metod.c	(revision 4108)
@@ -1,5 +1,5 @@
---- modules/file-method.c.org	Tue Sep 16 18:07:20 2003
-+++ modules/file-method.c	Tue Sep 16 18:08:26 2003
-@@ -91,19 +91,9 @@
+--- modules/file-method.c.org	Sun Nov 23 16:51:15 2003
++++ modules/file-method.c	Sun Nov 23 16:51:53 2003
+@@ -91,19 +91,10 @@
  }
  #endif
@@ -11,6 +11,6 @@
 -#endif
 -
--#ifdef HAVE_LSEEK64
--#define LSEEK lseek64
+-#if defined(HAVE_LSEEK64) && defined(HAVE_OFF64_T)
+ #define LSEEK lseek64
 -#define OFF_T off64_t
 -#else
Index: trunk/dports/gnome/gnome-vfs/files/patch_ltmain.sh
===================================================================
--- trunk/dports/gnome/gnome-vfs/files/patch_ltmain.sh	(revision 4107)
+++ 	(revision )
@@ -1,11 +1,0 @@
---- ltmain.sh.org	Thu Jul 24 18:43:27 2003
-+++ ltmain.sh	Thu Jul 24 18:43:45 2003
-@@ -1769,7 +1769,7 @@
- 
- 	  if test "$installed" = no; then
- 	    notinst_deplibs="$notinst_deplibs $lib"
--	    need_relink=yes
-+	    need_relink=no
- 	  fi
- 
- 	  if test -n "$old_archive_from_expsyms_cmds"; then
Index: trunk/dports/gnome/libbonoboui/Portfile
===================================================================
--- trunk/dports/gnome/libbonoboui/Portfile	(revision 4107)
+++ trunk/dports/gnome/libbonoboui/Portfile	(revision 4108)
@@ -1,6 +1,6 @@
-# $Id: Portfile,v 1.7 2003/10/20 18:49:05 olegb Exp $
+# $Id: Portfile,v 1.8 2003/12/05 22:40:47 olegb Exp $
 PortSystem 1.0
 name		libbonoboui
-version		2.2.2
+version		2.4.1
 description	GUI frontend to the libbonobo component of GNOME 2
 long_description        Bonobo is a set of language and system \
@@ -16,8 +16,7 @@
 platforms	darwin 
 homepage	http://www.gnome.org/
-master_sites    gnome:sources/libbonoboui/2.2/
-checksums	md5 546737fad5bdc0355fb98299018eb17a
-depends_lib	lib:libart_lgpl_2:libart_lgpl lib:libgnomecanvas:libgnomecanvas
-patchfiles	patch_ltmain.sh
+master_sites    gnome:sources/libbonoboui/2.4/
+checksums	md5 943a2d0e9fc7b9f0e97ba869de0c5f2a
+depends_lib	lib:libgnomecanvas:libgnomecanvas
 use_bzip2 	yes
 configure.args  --mandir=${prefix}/share/man
Index: trunk/dports/gnome/libgnome/Portfile
===================================================================
--- trunk/dports/gnome/libgnome/Portfile	(revision 4107)
+++ trunk/dports/gnome/libgnome/Portfile	(revision 4108)
@@ -1,6 +1,6 @@
-# $Id: Portfile,v 1.7 2003/10/20 18:50:40 olegb Exp $
+# $Id: Portfile,v 1.8 2003/12/05 22:37:39 olegb Exp $
 PortSystem 1.0
 name		libgnome
-version		2.2.3
+version		2.4.0
 description	This is the non-gui part of the library formerly \
 		known as gnome-libs.
@@ -11,9 +11,11 @@
 platforms	darwin 
 homepage	http://www.gnome.org/
-master_sites    gnome:sources/libgnome/2.2/
-checksums	md5 2a8436cba9f92354c9169deb0feefb83
+master_sites    gnome:sources/libgnome/2.4/
+checksums	md5 caec1e12d64b98a2925a4317ac16429f
+patchfiles	patch_gnome-util.c patch_gnome-score.c
 depends_lib	lib:libesd:esound lib:libgnomevfs-2:gnome-vfs \
 		lib:libscrollkeeper:scrollkeeper 
 use_bzip2 	yes
 configure.args  --mandir=${prefix}/share/man
-configure.env   CPPFLAGS="-L${prefix}/lib -I${prefix}/include" 
+configure.env   CPPFLAGS="-L${prefix}/lib -I${prefix}/include" \
+		CFLAGS="-flat_namespace -undefined suppress"
Index: trunk/dports/gnome/libgnome/files/patch_config.h.in
===================================================================
--- trunk/dports/gnome/libgnome/files/patch_config.h.in	(revision 4107)
+++ 	(revision )
@@ -1,10 +1,0 @@
---- config.h.in.org	Fri Jul 25 10:22:00 2003
-+++ config.h.in	Fri Jul 25 10:23:30 2003
-@@ -57,6 +57,7 @@
- 
- /* Define to 1 if you have the `setfsgid' function. */
- #undef HAVE_SETFSGID
-+#define HAVE_SETFSGID 0
- 
- /* Define to 1 if you have the <stdint.h> header file. */
- #undef HAVE_STDINT_H
Index: trunk/dports/gnome/libgnome/files/patch_gnome-score.c
===================================================================
--- trunk/dports/gnome/libgnome/files/patch_gnome-score.c	(revision 4108)
+++ trunk/dports/gnome/libgnome/files/patch_gnome-score.c	(revision 4108)
@@ -0,0 +1,16 @@
+--- libgnome/gnome-score.c.org	Sun Nov 23 21:51:54 2003
++++ libgnome/gnome-score.c	Sun Nov 23 21:53:23 2003
+@@ -230,13 +230,6 @@
+    gchar *level;
+    gchar *realname;
+    gint retval;
+-#ifdef HAVE_SETFSGID
+-   gid_t gid;
+-   
+-   gid = getegid ();
+-   setgid (getgid ());
+-   setfsgid (gid);
+-#endif
+    realname = g_strdup (g_get_real_name ());
+    if (strlen (realname) == 0)
+      realname = g_strdup (g_get_user_name ());
Index: trunk/dports/gnome/libgnome/files/patch_gnome-util.c
===================================================================
--- trunk/dports/gnome/libgnome/files/patch_gnome-util.c	(revision 4108)
+++ trunk/dports/gnome/libgnome/files/patch_gnome-util.c	(revision 4108)
@@ -0,0 +1,45 @@
+--- libgnome/gnome-util.c.org	Tue Nov 25 15:36:00 2003
++++ libgnome/gnome-util.c	Tue Nov 25 15:40:21 2003
+@@ -189,28 +189,7 @@
+ void
+ gnome_unsetenv (const char *name)
+ {
+-#if defined (HAVE_SETENV)
+ 	unsetenv (name);
+-#else
+-	extern char **environ;
+-	int i, len;
+-
+-	len = strlen (name);
+-	
+-	/* Mess directly with the environ array.
+-	 * This seems to be the only portable way to do this.
+-	 */
+-	for (i = 0; environ[i] != NULL; i++) {
+-		if (strncmp (environ[i], name, len) == 0
+-		    && environ[i][len + 1] == '=') {
+-			break;
+-		}
+-	}
+-	while (environ[i] != NULL) {
+-		environ[i] = environ[i + 1];
+-		i++;
+-	}
+-#endif
+ }
+ 
+ /**
+@@ -225,12 +204,7 @@
+ void
+ gnome_clearenv (void)
+ {
+-#ifdef HAVE_CLEARENV
+-	clearenv ();
+-#else
+-	extern char **environ;
+-	environ[0] = NULL;
+-#endif
++	unsetenv (NULL);
+ }
+ 
+ 
Index: trunk/dports/gnome/libgnomecanvas/Portfile
===================================================================
--- trunk/dports/gnome/libgnomecanvas/Portfile	(revision 4107)
+++ trunk/dports/gnome/libgnomecanvas/Portfile	(revision 4108)
@@ -1,6 +1,6 @@
-# $Id: Portfile,v 1.8 2003/10/20 18:51:42 olegb Exp $
+# $Id: Portfile,v 1.9 2003/12/05 22:38:32 olegb Exp $
 PortSystem 1.0
 name		libgnomecanvas
-version		2.2.1
+version		2.4.0
 description	A graphics library for GNOME.
 long_description        The GNOMECanvas library provides a number \
@@ -14,7 +14,7 @@
 platforms	darwin 
 homepage	http://www.gnome.org/
-master_sites    gnome:sources/libgnomecanvas/2.2/
-checksums	md5 4023de1258dfdfe0d7b26db05b528edd
-depends_lib	lib:libglade2:libglade2
+master_sites    gnome:sources/libgnomecanvas/2.4/
+checksums	md5 c212a7cac06b7f9e68ed2de38df6e54d
+depends_lib	lib:libglade2:libglade2 lib:libart_lgpl_2:libart_lgpl
 use_bzip2 	yes
 configure.args  --mandir=${prefix}/share/man