Index: trunk/dports/gnome/acme/Portfile
===================================================================
--- trunk/dports/gnome/acme/Portfile	(revision 4115)
+++ trunk/dports/gnome/acme/Portfile	(revision 4116)
@@ -1,6 +1,6 @@
-# $Id: Portfile,v 1.1 2003/11/05 20:13:27 olegb Exp $
+# $Id: Portfile,v 1.2 2003/12/05 23:11:23 olegb Exp $
 PortSystem 1.0
 name		acme
-version		2.0.4
+version		2.4.1
 description	Tool to make multimedia keys work on laptops
 long_description  	This is ACME, a small tool for your laptops. \
@@ -13,6 +13,6 @@
 platforms	darwin 
 homepage	http://www.gnome.org/
-master_sites    gnome:sources/acme/2.0/
-checksums	md5 fd8814ca889858eac6b97bd8ce942b18
+master_sites    gnome:sources/acme/2.4/
+checksums	md5 0e4b240662a706d529757a86fe4bf0c5
 depends_lib	lib:libgnome-window-settings:control-center
 use_bzip2 	yes
Index: trunk/dports/gnome/control-center/Portfile
===================================================================
--- trunk/dports/gnome/control-center/Portfile	(revision 4115)
+++ trunk/dports/gnome/control-center/Portfile	(revision 4116)
@@ -1,6 +1,6 @@
-# $Id: Portfile,v 1.2 2003/10/20 18:37:27 olegb Exp $
+# $Id: Portfile,v 1.3 2003/12/05 23:10:27 olegb Exp $
 PortSystem 1.0
 name		control-center
-version		2.2.2
+version		2.4.0
 description	Control center for GNOME 2.0 project.
 long_description        Control center for GNOME 2.0 project
@@ -9,7 +9,7 @@
 platforms	darwin 
 homepage	http://www.gnome.org/
-master_sites    gnome:sources/control-center/2.2/
-checksums	md5 d5288d0e4249a5afdef494d5c59cb1bc
-depends_lib	lib:metacity:metacity
+master_sites    gnome:sources/control-center/2.4/
+checksums	md5 44115d3174d2f603f34a336ada562bae
+depends_lib	lib:libnautilus:nautilus
 use_bzip2 	yes
 configure.args  --mandir=${prefix}/share/man
Index: trunk/dports/gnome/eel/Portfile
===================================================================
--- trunk/dports/gnome/eel/Portfile	(revision 4115)
+++ trunk/dports/gnome/eel/Portfile	(revision 4116)
@@ -1,6 +1,6 @@
-# $Id: Portfile,v 1.3 2003/10/20 18:38:10 olegb Exp $
+# $Id: Portfile,v 1.4 2003/12/05 22:58:23 olegb Exp $
 PortSystem 1.0
 name		eel
-version		2.2.4
+version		2.4.1
 description	Generally useful classes and extensions to GNOME
 long_description        The eel library contains a number of generally \
@@ -14,6 +14,7 @@
 platforms	darwin 
 homepage	http://www.gnome.org/
-master_sites    gnome:sources/eel/2.2/
-checksums	md5 39d3ff28fbadd7341521644269d467b5
+master_sites    gnome:sources/eel/2.4/
+checksums	md5 5ddfee20c3ad53ebbbb8c8e9517e8304
+patchfiles	patch_eel-glib-extensions.c patch_egg-screen-exec.c
 depends_lib	lib:libgail:gail
 use_bzip2 	yes
Index: trunk/dports/gnome/eel/files/patch_eel-glib-extensions.c
===================================================================
--- trunk/dports/gnome/eel/files/patch_eel-glib-extensions.c	(revision 4116)
+++ trunk/dports/gnome/eel/files/patch_eel-glib-extensions.c	(revision 4116)
@@ -0,0 +1,15 @@
+--- eel/eel-glib-extensions.c.org	Wed Nov 26 18:21:37 2003
++++ eel/eel-glib-extensions.c	Wed Nov 26 18:23:51 2003
+@@ -54,7 +54,12 @@
+ 
+ /* We will need this for eel_unsetenv if there is no unsetenv. */
+ #if !defined (HAVE_SETENV)
++#ifdef __APPLE__
++# include <crt_externs.h>
++# define environ (*_NSGetEnviron())
++#elif
+ extern char **environ;
++#endif
+ #endif
+ 
+ /**
Index: trunk/dports/gnome/eel/files/patch_egg-screen-exec.c
===================================================================
--- trunk/dports/gnome/eel/files/patch_egg-screen-exec.c	(revision 4116)
+++ trunk/dports/gnome/eel/files/patch_egg-screen-exec.c	(revision 4116)
@@ -0,0 +1,15 @@
+--- eel/egg-screen-exec.c.org	Wed Nov 26 18:20:55 2003
++++ eel/egg-screen-exec.c	Wed Nov 26 18:22:17 2003
+@@ -31,7 +31,12 @@
+ #include <gdk/gdkx.h>
+ #endif
+ 
++#ifdef __APPLE__
++# include <crt_externs.h>
++# define environ (*_NSGetEnviron())
++#elif
+ extern char **environ;
++#endif
+ 
+ /**
+  * egg_screen_exec_display_string:
Index: trunk/dports/gnome/gail/Portfile
===================================================================
--- trunk/dports/gnome/gail/Portfile	(revision 4115)
+++ trunk/dports/gnome/gail/Portfile	(revision 4116)
@@ -1,6 +1,6 @@
-# $Id: Portfile,v 1.5 2003/10/20 18:40:25 olegb Exp $
+# $Id: Portfile,v 1.6 2003/12/05 22:54:43 olegb Exp $
 PortSystem 1.0
 name		gail
-version		1.2.2
+version		1.4.1
 description	An implementation of the ATK interfaces for GTK+ widgets.
 long_description        Gail, the Gnome Accessibility Implementation \
@@ -11,8 +11,7 @@
 platforms	darwin 
 homepage	http://www.gnome.org/
-master_sites    gnome:sources/gail/1.2/
-checksums	md5 cace76d052501c10f57c145618205509
-patchfiles	patch_ferret.c
-depends_lib	lib:libgnomeui:libgnomeui
+master_sites    gnome:sources/gail/1.4/
+checksums	md5 ea970bd1f6ce5da13e7d872ad9d27869
+depends_lib	lib:gnome-session:gnome-session
 use_bzip2	yes
 configure.args  --mandir=${prefix}/share/man
Index: trunk/dports/gnome/gedit/Portfile
===================================================================
--- trunk/dports/gnome/gedit/Portfile	(revision 4115)
+++ trunk/dports/gnome/gedit/Portfile	(revision 4116)
@@ -1,6 +1,6 @@
-# $Id: Portfile,v 1.2 2003/10/20 18:42:59 olegb Exp $
+# $Id: Portfile,v 1.3 2003/12/05 23:07:22 olegb Exp $
 PortSystem 1.0
 name		gedit
-version		2.2.2
+version		2.4.1
 description	Gnome editor
 long_description        Gnome editor
@@ -9,7 +9,7 @@
 platforms	darwin 
 homepage	http://www.artofcode.com/libart.html
-master_sites    gnome:sources/gedit/2.2/
-checksums	md5 9cd866f6e331fb3e5c65ed8200d9d154
-depends_lib	lib:libgnomeprintui:libgnomeprintui
+master_sites    gnome:sources/gedit/2.4/
+checksums	md5 ebc37dbf48451dcacb04313bcdf2e3a6
+depends_lib	lib:libgtksourceview-1:gtksourceview
 use_bzip2 	yes
 configure.args  --mandir=${prefix}/share/man
Index: trunk/dports/gnome/glade/Portfile
===================================================================
--- trunk/dports/gnome/glade/Portfile	(revision 4115)
+++ trunk/dports/gnome/glade/Portfile	(revision 4116)
@@ -1,6 +1,6 @@
-# $Id: Portfile,v 1.1 2003/11/05 20:11:12 olegb Exp $
+# $Id: Portfile,v 1.2 2003/12/05 23:03:30 olegb Exp $
 PortSystem 1.0
 name		glade
-version		1.1.3
+version		2.0.1
 description	Glade is a free user interface builder for GTK+ and GNOME.
 long_description        Glade is a free user interface builder for GTK+ \
@@ -11,7 +11,7 @@
 platforms	darwin 
 homepage	http://glade.gnome.org/
-master_sites    gnome:fifth-toe/2.2/2.2.0/sources
+master_sites	gnome:sources/glade/2.0/
 use_bzip2	yes
-checksums	md5 ceb1fb626e4fa676b8b458aa422c7d22
+checksums	md5 83fae1cdebb37461450906f212c1bc76
 depends_lib     lib:gnome-session:gnome-session
 configure.env   CPPFLAGS="-L${prefix}/lib -I${prefix}/include" \
Index: trunk/dports/gnome/gnome-desktop/Portfile
===================================================================
--- trunk/dports/gnome/gnome-desktop/Portfile	(revision 4115)
+++ trunk/dports/gnome/gnome-desktop/Portfile	(revision 4116)
@@ -1,6 +1,6 @@
-# $Id: Portfile,v 1.7 2003/10/20 18:43:34 olegb Exp $
+# $Id: Portfile,v 1.8 2003/12/05 22:46:38 olegb Exp $
 PortSystem 1.0
 name		gnome-desktop
-version		2.2.2
+version		2.4.1.1
 description	Additional UI API for GNOME 2
 long_description        This is a collection of APIs not included in \
@@ -11,7 +11,8 @@
 platforms	darwin 
 homepage	http://www.gnome.org/
-master_sites    gnome:sources/gnome-desktop/2.2/
-checksums	md5 335e6109abc5a04e69ab574464af1900
-depends_lib	lib:libwnck:libwnck
+master_sites    gnome:sources/gnome-desktop/2.4/
+checksums	md5 c85489c7befc79b5cc9bda1b2006cacc
+patchfiles	patch_egg-spawn.c patch_gnome-desktop-item.c
+depends_lib	lib:libgnomeui:libgnomeui
 depends_build	bin:scrollkeeper-extract:scrollkeeper
 use_bzip2 	yes
Index: trunk/dports/gnome/gnome-desktop/files/patch_egg-spawn.c
===================================================================
--- trunk/dports/gnome/gnome-desktop/files/patch_egg-spawn.c	(revision 4116)
+++ trunk/dports/gnome/gnome-desktop/files/patch_egg-spawn.c	(revision 4116)
@@ -0,0 +1,23 @@
+--- libgnome-desktop/egg-spawn.c.org	Tue Nov 25 20:59:45 2003
++++ libgnome-desktop/egg-spawn.c	Tue Nov 25 21:01:11 2003
+@@ -20,6 +20,11 @@
+  * Authors: Mark McLoughlin <mark@skynet.ie>
+  */
+ 
++#ifdef __APPLE__
++# include <crt_externs.h>
++# define environ (*_NSGetEnviron())
++#endif
++
+ #include <config.h>
+ #include <string.h>
+ 
+@@ -27,8 +32,6 @@
+ 
+ #include <glib.h>
+ #include <gdk/gdk.h>
+-
+-extern char **environ;
+ 
+ /**
+  * egg_make_spawn_environment_for_screen:
Index: trunk/dports/gnome/gnome-desktop/files/patch_gnome-desktop-item.c
===================================================================
--- trunk/dports/gnome/gnome-desktop/files/patch_gnome-desktop-item.c	(revision 4116)
+++ trunk/dports/gnome/gnome-desktop/files/patch_gnome-desktop-item.c	(revision 4116)
@@ -0,0 +1,23 @@
+--- libgnome-desktop/gnome-desktop-item.c.org	Tue Nov 25 20:59:15 2003
++++ libgnome-desktop/gnome-desktop-item.c	Tue Nov 25 21:00:05 2003
+@@ -27,6 +27,11 @@
+   @NOTATION@
+  */
+ 
++#ifdef __APPLE__
++# include <crt_externs.h>
++# define environ (*_NSGetEnviron())
++#endif
++
+ #include "config.h"
+ 
+ #include <limits.h>
+@@ -1482,8 +1487,6 @@
+ {
+ 	gdk_error_trap_pop ();
+ }
+-
+-extern char **environ;
+ 
+ static char **
+ make_spawn_environment_for_sn_context (SnLauncherContext *sn_context,
Index: trunk/dports/gnome/gnome-panel/Portfile
===================================================================
--- trunk/dports/gnome/gnome-panel/Portfile	(revision 4115)
+++ trunk/dports/gnome/gnome-panel/Portfile	(revision 4116)
@@ -1,6 +1,6 @@
-# $Id: Portfile,v 1.10 2003/10/20 18:45:33 olegb Exp $
+# $Id: Portfile,v 1.11 2003/12/05 22:50:27 olegb Exp $
 PortSystem 1.0
 name		gnome-panel
-version		2.2.2.2
+version		2.4.1
 description	Panel component for the GNOME 2 Desktop.
 long_description        Panel component for the GNOME 2 Desktop.
@@ -9,9 +9,8 @@
 platforms	darwin 
 homepage	http://www.gnome.org/
-master_sites    gnome:sources/gnome-panel/2.2/
-checksums	md5 0fffc658f22e367ba33997dcf180ef17
-patchfiles	patch_clock.c 
-depends_lib	lib:libpoll:poll-emulator lib:libgnome-desktop-2:gnome-desktop \
-		lib:libgdk_pixbuf:gdk-pixbuf
+master_sites    gnome:sources/gnome-panel/2.4/
+checksums	md5 bdef7c238e1d1eb7976f2bca3b0c8aca
+patchfiles	patch_egg-screen-exec.c patch2_egg-screen-exec.c
+depends_lib	lib:libpoll:poll-emulator lib:libwnck:libwnck 
 use_bzip2 	yes
 configure.args  --mandir=${prefix}/share/man
Index: trunk/dports/gnome/gnome-panel/files/patch2_egg-screen-exec.c
===================================================================
--- trunk/dports/gnome/gnome-panel/files/patch2_egg-screen-exec.c	(revision 4116)
+++ trunk/dports/gnome/gnome-panel/files/patch2_egg-screen-exec.c	(revision 4116)
@@ -0,0 +1,15 @@
+--- applets/clock/egg-screen-exec.c.org	Wed Nov 26 16:09:48 2003
++++ applets/clock/egg-screen-exec.c	Wed Nov 26 16:10:16 2003
+@@ -31,7 +31,12 @@
+ #include <gdk/gdkx.h>
+ #endif
+ 
++#ifdef __APPLE__
++# include <crt_externs.h>
++# define environ (*_NSGetEnviron())
++#elif
+ extern char **environ;
++#endif
+ 
+ /**
+  * egg_screen_exec_display_string:
Index: trunk/dports/gnome/gnome-panel/files/patch_clock.c
===================================================================
--- trunk/dports/gnome/gnome-panel/files/patch_clock.c	(revision 4115)
+++ 	(revision )
@@ -1,12 +1,0 @@
---- applets/gen_util/clock.c.org	Fri Jul 25 18:09:46 2003
-+++ applets/gen_util/clock.c	Fri Jul 25 18:22:20 2003
-@@ -14,7 +14,8 @@
- #include <dirent.h>
- #include <string.h>
- #include <time.h>
--#include <langinfo.h>
-+/* not in darwin 6.6 #include <langinfo.h> */
-+#define AM_STR          5       /* Ante Meridian affix */
- 
- #include <panel-applet.h>
- #include <panel-applet-gconf.h>
Index: trunk/dports/gnome/gnome-panel/files/patch_egg-screen-exec.c
===================================================================
--- trunk/dports/gnome/gnome-panel/files/patch_egg-screen-exec.c	(revision 4116)
+++ trunk/dports/gnome/gnome-panel/files/patch_egg-screen-exec.c	(revision 4116)
@@ -0,0 +1,15 @@
+--- gnome-panel/egg-screen-exec.c.org	Wed Nov 26 07:53:16 2003
++++ gnome-panel/egg-screen-exec.c	Wed Nov 26 07:54:06 2003
+@@ -31,7 +31,12 @@
+ #include <gdk/gdkx.h>
+ #endif
+ 
++#ifdef __APPLE__
++# include <crt_externs.h>
++# define environ (*_NSGetEnviron())
++#elif
+ extern char **environ;
++#endif
+ 
+ /**
+  * egg_screen_exec_display_string:
Index: trunk/dports/gnome/gnome-session/Portfile
===================================================================
--- trunk/dports/gnome/gnome-session/Portfile	(revision 4115)
+++ trunk/dports/gnome/gnome-session/Portfile	(revision 4116)
@@ -1,6 +1,6 @@
-# $Id: Portfile,v 1.7 2003/10/20 18:46:17 olegb Exp $
+# $Id: Portfile,v 1.8 2003/12/05 22:51:32 olegb Exp $
 PortSystem 1.0
 name		gnome-session
-version		2.2.2
+version		2.4.1
 description	Session component for the GNOME 2 desktop
 long_description        Session component for the GNOME 2.0 desktop. \
@@ -11,6 +11,6 @@
 platforms	darwin 
 homepage	http://www.gnome.org/
-master_sites    gnome:sources/gnome-session/2.2/
-checksums	md5 7dcfea0d925ddecb7c9700ddf597b17c
+master_sites    gnome:sources/gnome-session/2.4/
+checksums	md5 da92740dd8a7f316b2bc4a295fd94136
 depends_lib	lib:gnome-panel:gnome-panel
 use_bzip2 	yes
Index: trunk/dports/gnome/gnome-utils/Portfile
===================================================================
--- trunk/dports/gnome/gnome-utils/Portfile	(revision 4115)
+++ trunk/dports/gnome/gnome-utils/Portfile	(revision 4116)
@@ -1,6 +1,6 @@
-# $Id: Portfile,v 1.8 2003/10/20 18:46:56 olegb Exp $
+# $Id: Portfile,v 1.9 2003/12/05 22:52:55 olegb Exp $
 PortSystem 1.0
 name		gnome-utils
-version		2.2.3
+version		2.4.1
 description	Session component for the GNOME 2 desktop
 long_description        Session component for the GNOME 2.0 desktop.
@@ -9,7 +9,7 @@
 platforms	darwin 
 homepage	http://www.gnome.org/
-master_sites    gnome:sources/gnome-utils/2.2/
-checksums	md5 2bde68d39e135a99dfd308a7ec7b6c4a
-depends_lib     lib:libgnome-desktop-2:gnome-desktop
+master_sites    gnome:sources/gnome-utils/2.4/
+checksums	md5 8512eed7ce0d291d4d8a9ddabceaa23b
+depends_lib     lib:gnome-session:gnome-session
 patchfiles	patch_logrtns.h patch_log_repaint.c patch_logrtns.c
 use_bzip2 	yes
Index: trunk/dports/gnome/libgnomeprint/Portfile
===================================================================
--- trunk/dports/gnome/libgnomeprint/Portfile	(revision 4115)
+++ trunk/dports/gnome/libgnomeprint/Portfile	(revision 4116)
@@ -1,6 +1,6 @@
-# $Id: Portfile,v 1.3 2003/10/20 18:52:40 olegb Exp $
+# $Id: Portfile,v 1.4 2003/12/05 23:01:28 olegb Exp $
 PortSystem 1.0
 name		libgnomeprint
-version		2.2.1.3
+version		2.4.0
 description	This is an implementation of the Gnome Printing Architecture
 long_description       	This is an implementation of the Gnome Printing \
@@ -10,6 +10,6 @@
 platforms	darwin 
 homepage	http://www.levien.com/gnome/print-arch.html
-master_sites    gnome:sources/libgnomeprint/2.2/
-checksums	md5 36c7db0cd889767a327f118430a13317
+master_sites    gnome:sources/libgnomeprint/2.4/
+checksums	md5 05e1b57696507b9d69375f4de262e24e
 patchfiles	patch_gnome-print.c
 depends_lib	lib:libeel:eel lib:cups:cups-headers
Index: trunk/dports/gnome/libgnomeprintui/Portfile
===================================================================
--- trunk/dports/gnome/libgnomeprintui/Portfile	(revision 4115)
+++ trunk/dports/gnome/libgnomeprintui/Portfile	(revision 4116)
@@ -1,6 +1,6 @@
-# $Id: Portfile,v 1.2 2003/10/20 18:53:42 olegb Exp $
+# $Id: Portfile,v 1.3 2003/12/05 23:02:11 olegb Exp $
 PortSystem 1.0
 name		libgnomeprintui
-version		2.2.1.3
+version		2.4.0
 description	This is an implementation of the Gnome Printing Architecture
 long_description       	This is an implementation of the Gnome Printing \
@@ -10,6 +10,6 @@
 platforms	darwin 
 homepage	http://www.gnome.org/
-master_sites    gnome:sources/libgnomeprintui/2.2/
-checksums	md5 7a55f50151fe54ff9d92544b5b0fdd6d
+master_sites    gnome:sources/libgnomeprintui/2.4/
+checksums	md5 9962ae98b5722f1eb30bb802296b646f
 depends_lib	lib:libgnomeprint:libgnomeprint
 use_bzip2 	yes
Index: trunk/dports/gnome/libgnomeui/Portfile
===================================================================
--- trunk/dports/gnome/libgnomeui/Portfile	(revision 4115)
+++ trunk/dports/gnome/libgnomeui/Portfile	(revision 4116)
@@ -1,6 +1,6 @@
-# $Id: Portfile,v 1.6 2003/09/16 11:48:19 olegb Exp $
+# $Id: Portfile,v 1.7 2003/12/05 22:42:59 olegb Exp $
 PortSystem 1.0
 name		libgnomeui
-version		2.2.2
+version		2.4.0.1
 description	Libraries for the GNOME GUI, a GNU desktop environment.
 long_description        Libraries for the GNOME GUI, a GNU desktop environment.
@@ -9,6 +9,6 @@
 platforms	darwin 
 homepage	http://www.gnome.org/
-master_sites    gnome:sources/libgnomeui/2.2/
-checksums	md5 2d58cd438aabffc00e65ecd4bab63349
+master_sites    gnome:sources/libgnomeui/2.4/
+checksums	md5 196f4a3f1f4a531ff57acaa879e98dd2
 depends_lib	lib:gnome-icon-theme:gnome-icon-theme
 use_bzip2 	yes
Index: trunk/dports/gnome/libgtkhtml/Portfile
===================================================================
--- trunk/dports/gnome/libgtkhtml/Portfile	(revision 4115)
+++ trunk/dports/gnome/libgtkhtml/Portfile	(revision 4116)
@@ -1,6 +1,6 @@
-# $Id: Portfile,v 1.3 2003/10/20 18:55:32 olegb Exp $
+# $Id: Portfile,v 1.4 2003/12/05 23:06:35 olegb Exp $
 PortSystem 1.0
 name		libgtkhtml
-version		2.2.4
+version		2.4.1
 description	Lightweight HTML rendering/printing/editing engine
 long_description        This is GtkHTML, a lightweight HTML rendering/\
@@ -11,6 +11,6 @@
 platforms	darwin 
 homepage	http://www.gnome.org/
-master_sites    gnome:sources/libgtkhtml/2.2/
-checksums	md5 26443c4027470c4510d221af30a2c3f6
+master_sites    gnome:sources/libgtkhtml/2.4/
+checksums	md5 31f9476871517a82aafad3cdda43ac1e
 use_bzip2 	yes
 configure.args  --mandir=${prefix}/share/man
Index: trunk/dports/gnome/librsvg/Portfile
===================================================================
--- trunk/dports/gnome/librsvg/Portfile	(revision 4115)
+++ trunk/dports/gnome/librsvg/Portfile	(revision 4116)
@@ -1,6 +1,6 @@
-# $Id: Portfile,v 1.2 2003/10/20 18:56:11 olegb Exp $
+# $Id: Portfile,v 1.3 2003/12/05 23:00:17 olegb Exp $
 PortSystem 1.0
 name		librsvg
-version		2.2.5
+version		2.4.0
 description	Gnome implementation of rsvg
 long_description       	Gnome implemantaion of rsvg
@@ -9,7 +9,7 @@
 platforms	darwin 
 homepage	http://www.gnome.org/
-master_sites    gnome:sources/librsvg/2.2/
-checksums	md5 db71094f14f460142b356c5ce6b9f835
-depends_lib	lib:gnome-session:gnome-session
+master_sites    gnome:sources/librsvg/2.4/
+checksums	md5 1a073864e5f6e9793cf23e38dc723803
+depends_lib	lib:libeel-2:eel
 patchfiles	patch_ltmain.sh
 use_bzip2 	yes