Index: trunk/dports/gnome/gnome-applets/Portfile
===================================================================
--- trunk/dports/gnome/gnome-applets/Portfile	(revision 4117)
+++ trunk/dports/gnome/gnome-applets/Portfile	(revision 4117)
@@ -0,0 +1,16 @@
+# $Id: Portfile,v 1.1 2003/12/05 23:20:53 olegb Exp $
+PortSystem 1.0
+name		gnome-applets
+version		2.4.1
+description	GNOME panel applets.
+long_description        This package contains applets for use with the \
+			GNOME panel.  
+maintainers	olegb@opendarwin.org
+categories	gnome
+platforms	darwin 
+homepage	http://www.gnome.org/
+master_sites    gnome:sources/gnome-applets/2.4/
+checksums	md5 bf018f1692ab305954123d8123ef45d1
+patchfiles	patch_charpick.c
+depends_lib	lib:gnome-panel:gnome-panel
+use_bzip2 	yes
Index: trunk/dports/gnome/gnome-applets/files/patch_charpick.c
===================================================================
--- trunk/dports/gnome/gnome-applets/files/patch_charpick.c	(revision 4117)
+++ trunk/dports/gnome/gnome-applets/files/patch_charpick.c	(revision 4117)
@@ -0,0 +1,12 @@
+--- charpick/charpick.c.org	Sun Nov 30 15:08:25 2003
++++ charpick/charpick.c	Sun Nov 30 15:09:23 2003
+@@ -3,9 +3,6 @@
+  */
+ 
+ #include <config.h>
+-#ifndef sun
+-  #include <tgmath.h>
+-#endif
+ #include <panel-applet.h>
+ #include <egg-screen-help.h>
+ #include "charpick.h"
Index: trunk/dports/gnome/gnome-system-monitor/Portfile
===================================================================
--- trunk/dports/gnome/gnome-system-monitor/Portfile	(revision 4117)
+++ trunk/dports/gnome/gnome-system-monitor/Portfile	(revision 4117)
@@ -0,0 +1,18 @@
+# $Id: Portfile,v 1.1 2003/12/05 23:18:38 olegb Exp $
+PortSystem 1.0
+name		gnome-system-monitor
+version		2.4.0
+description	A system monitor.
+long_description        A nicer, simpler, easier to use replacement to gtop. \
+			It uses libgtop for the process monitoring and \
+			gtktreeview for the viewing.
+maintainers	olegb@opendarwin.org
+categories	gnome
+platforms	darwin 
+homepage	http://www.gnome.org/
+master_sites    gnome:sources/gnome-system-monitor/2.4/
+checksums	md5 f855d85adcc2eb0f20f639cbc2f00cbf
+#depends_lib     lib:libgtop:libgtop
+use_bzip2 	yes
+configure.env   CPPFLAGS="-L${prefix}/lib -I${prefix}/include" \
+		CFLAGS="-no-cpp-precomp -flat_namespace -undefined suppress"
Index: trunk/dports/gnome/gnumeric/Portfile
===================================================================
--- trunk/dports/gnome/gnumeric/Portfile	(revision 4117)
+++ trunk/dports/gnome/gnumeric/Portfile	(revision 4117)
@@ -0,0 +1,19 @@
+# $Id: Portfile,v 1.1 2003/12/05 23:13:52 olegb Exp $
+
+PortSystem 1.0
+name		gnumeric
+version		1.2.1
+description	A spreadsheet with gnome support
+long_description        A spreadsheet with gnome support
+maintainers	olegb@opendarwin.org
+categories	gnome math
+platforms	darwin 
+homepage	http://www.gnome.org/projects/gnumeric/
+master_sites    gnome:sources/gnumeric/1.2/
+use_bzip2	yes
+checksums	md5 51f0bd5c69e6b6d321909e8bfe2e2c2b
+depends_lib	lib:libgsf:libgsf
+patchfiles	patch_foo-canvas-util.c patch_mathfunc.c \
+		patch_sheet-object-graphic.c patch_functions.c patch_gui-util.c
+configure.env   CPPFLAGS="-L${prefix}/lib -I${prefix}/include" \
+                CFLAGS="-no-cpp-precomp -flat_namespace -undefined suppress" 
Index: trunk/dports/gnome/gnumeric/files/patch_foo-canvas-util.c
===================================================================
--- trunk/dports/gnome/gnumeric/files/patch_foo-canvas-util.c	(revision 4117)
+++ trunk/dports/gnome/gnumeric/files/patch_foo-canvas-util.c	(revision 4117)
@@ -0,0 +1,15 @@
+--- src/cut-n-paste-code/foocanvas/libfoocanvas/foo-canvas-util.c.org	Tue Sep 23 18:57:29 2003
++++ src/cut-n-paste-code/foocanvas/libfoocanvas/foo-canvas-util.c	Tue Sep 23 18:59:55 2003
+@@ -5,6 +5,12 @@
+ #include <gnumeric-i18n.h>
+ #include <gnumeric.h>
+ 
++#define M_PI            3.14159265358979323846  /* pi */
++#define M_PI_2          1.57079632679489661923  /* pi/2 */
++#define M_PI_4          0.78539816339744830962  /* pi/4 */
++#define M_1_PI          0.31830988618379067154  /* 1/pi */
++#define M_2_PI          0.63661977236758134308  /* 2/pi */
++
+ /*
+  * Copyright (C) 1997, 1998, 1999, 2000 Free Software Foundation
+  * All rights reserved.
Index: trunk/dports/gnome/gnumeric/files/patch_functions.c
===================================================================
--- trunk/dports/gnome/gnumeric/files/patch_functions.c	(revision 4117)
+++ trunk/dports/gnome/gnumeric/files/patch_functions.c	(revision 4117)
@@ -0,0 +1,26 @@
+--- plugins/fn-math/functions.c.org	Thu Oct 16 18:05:22 2003
++++ plugins/fn-math/functions.c	Thu Oct 16 18:06:10 2003
+@@ -37,6 +37,23 @@
+ #include <regression.h>
+ 
+ #include <math.h>
++#define M_E             2.7182818284590452354   /* e */
++#define M_LOG2E         1.4426950408889634074   /* log 2e */
++#define M_LOG10E        0.43429448190325182765  /* log 10e */
++#define M_LN2           0.69314718055994530942  /* log e2 */
++#define M_LN10          2.30258509299404568402  /* log e10 */
++#define M_PI            3.14159265358979323846  /* pi */
++#define M_PI_2          1.57079632679489661923  /* pi/2 */
++#define M_PI_4          0.78539816339744830962  /* pi/4 */
++#define M_1_PI          0.31830988618379067154  /* 1/pi */
++#define M_2_PI          0.63661977236758134308  /* 2/pi */
++#define M_2_SQRTPI      1.12837916709551257390  /* 2/sqrt(pi) */
++#define M_SQRT2         1.41421356237309504880  /* sqrt(2) */
++#define M_SQRT1_2       0.70710678118654752440  /* 1/sqrt(2) */
++
++#define MAXFLOAT        ((float)3.40282346638528860e+38)
++extern int signgam;
++
+ #include <string.h>
+ 
+ #include "plugin.h"
Index: trunk/dports/gnome/gnumeric/files/patch_gui-util.c
===================================================================
--- trunk/dports/gnome/gnumeric/files/patch_gui-util.c	(revision 4117)
+++ trunk/dports/gnome/gnumeric/files/patch_gui-util.c	(revision 4117)
@@ -0,0 +1,20 @@
+--- src/gui-util.c.org	Sat Nov 29 21:53:08 2003
++++ src/gui-util.c	Sat Nov 29 21:59:46 2003
+@@ -1403,7 +1403,7 @@
+ 	gdk_cursor_unref (cursor);
+ }
+ 
+-#ifndef HAVE_GDK_CURSOR_NEW_FROM_PIXBUF
++/*#ifndef HAVE_GDK_CURSOR_NEW_FROM_PIXBUF */
+ /* See http://bugzilla.gnome.org/showattachment.cgi?attach_id=17695 */
+ static GdkCursor *
+ gdk_cursor_new_from_pixbuf (GdkDisplay *display, 
+@@ -1472,7 +1472,7 @@
+   
+   return cursor;
+ }
+-#endif
++/* #endif */
+ 
+ GdkCursor *
+ gnm_fat_cross_cursor (GdkDisplay *display)
Index: trunk/dports/gnome/gnumeric/files/patch_mathfunc.c
===================================================================
--- trunk/dports/gnome/gnumeric/files/patch_mathfunc.c	(revision 4117)
+++ trunk/dports/gnome/gnumeric/files/patch_mathfunc.c	(revision 4117)
@@ -0,0 +1,26 @@
+--- src/mathfunc.c.org	Tue Sep 23 19:13:20 2003
++++ src/mathfunc.c	Tue Sep 23 19:34:01 2003
+@@ -33,6 +33,23 @@
+ #define _SVID_SOURCE 1
+ #define _BSD_SOURCE 1
+ 
++#define M_E             2.7182818284590452354   /* e */
++#define M_LOG2E         1.4426950408889634074   /* log 2e */
++#define M_LOG10E        0.43429448190325182765  /* log 10e */
++#define M_LN2           0.69314718055994530942  /* log e2 */
++#define M_LN10          2.30258509299404568402  /* log e10 */
++#define M_PI            3.14159265358979323846  /* pi */
++#define M_PI_2          1.57079632679489661923  /* pi/2 */
++#define M_PI_4          0.78539816339744830962  /* pi/4 */
++#define M_1_PI          0.31830988618379067154  /* 1/pi */
++#define M_2_PI          0.63661977236758134308  /* 2/pi */
++#define M_2_SQRTPI      1.12837916709551257390  /* 2/sqrt(pi) */
++#define M_SQRT2         1.41421356237309504880  /* sqrt(2) */
++#define M_SQRT1_2       0.70710678118654752440  /* 1/sqrt(2) */
++
++#define MAXFLOAT        ((float)3.40282346638528860e+38)
++extern int signgam;
++
+ #include <gnumeric-config.h>
+ #include "gnumeric.h"
+ #include "mathfunc.h"
Index: trunk/dports/gnome/gnumeric/files/patch_sheet-object-graphic.c
===================================================================
--- trunk/dports/gnome/gnumeric/files/patch_sheet-object-graphic.c	(revision 4117)
+++ trunk/dports/gnome/gnumeric/files/patch_sheet-object-graphic.c	(revision 4117)
@@ -0,0 +1,24 @@
+--- src/sheet-object-graphic.c.org	Tue Sep 23 19:37:48 2003
++++ src/sheet-object-graphic.c	Tue Sep 23 19:38:59 2003
+@@ -6,6 +6,21 @@
+  * Author:
+  *   Miguel de Icaza (miguel@kernel.org)
+  */
++
++#define M_E             2.7182818284590452354   /* e */
++#define M_LOG2E         1.4426950408889634074   /* log 2e */
++#define M_LOG10E        0.43429448190325182765  /* log 10e */
++#define M_LN2           0.69314718055994530942  /* log e2 */
++#define M_LN10          2.30258509299404568402  /* log e10 */
++#define M_PI            3.14159265358979323846  /* pi */
++#define M_PI_2          1.57079632679489661923  /* pi/2 */
++#define M_PI_4          0.78539816339744830962  /* pi/4 */
++#define M_1_PI          0.31830988618379067154  /* 1/pi */
++#define M_2_PI          0.63661977236758134308  /* 2/pi */
++#define M_2_SQRTPI      1.12837916709551257390  /* 2/sqrt(pi) */
++#define M_SQRT2         1.41421356237309504880  /* sqrt(2) */
++#define M_SQRT1_2       0.70710678118654752440  /* 1/sqrt(2) */
++ 
+ #include <gnumeric-config.h>
+ #include <gnumeric-i18n.h>
+ #include "gnumeric.h"
Index: trunk/dports/gnome/libgtop/Portfile
===================================================================
--- trunk/dports/gnome/libgtop/Portfile	(revision 4117)
+++ trunk/dports/gnome/libgtop/Portfile	(revision 4117)
@@ -0,0 +1,20 @@
+# $Id: Portfile,v 1.1 2003/12/05 23:17:02 olegb Exp $
+PortSystem 1.0
+name		libgtop
+version		2.0.7
+description	A library for gtop2
+long_description        This is library for the gtop2, the GNOME 2.0 \
+			version of top command. The top command is a tool \
+			to display and update information about the top \
+			cpu processes.
+maintainers	olegb@opendarwin.org
+categories	gnome
+platforms	darwin 
+homepage	http://www.gnome.org/
+master_sites    gnome:sources/libgtop/2.0/
+checksums	md5 b07e6ed75e0d45423b47db8ac370c571
+depends_lib     lib:gnome-session:gnome-session
+#patchfiles	patch_configure patch_mountlist.c patch_ltmain.sh
+use_bzip2 	yes
+configure.args	--mandir=${prefix}/share/man --infodir=${prefix}/share/info
+configure.env   CPPFLAGS="-L${prefix}/lib -I${prefix}/include" 
Index: trunk/dports/gnome/libgtop/files/patch_configure
===================================================================
--- trunk/dports/gnome/libgtop/files/patch_configure	(revision 4117)
+++ trunk/dports/gnome/libgtop/files/patch_configure	(revision 4117)
@@ -0,0 +1,14 @@
+--- configure.org	Thu May 15 19:08:16 2003
++++ configure	Mon Aug 25 18:25:15 2003
+@@ -18592,9 +18592,9 @@
+ cat >>conftest.$ac_ext <<_ACEOF
+ /* end confdefs.h.  */
+ 
+-#include <sys/types.h>
++#include <sys/param.h>
++#include <sys/ucred.h>
+ #include <sys/mount.h>
+-#include <sys/fs_types.h>
+ int
+ main ()
+ {
Index: trunk/dports/gnome/libgtop/files/patch_ltmain.sh
===================================================================
--- trunk/dports/gnome/libgtop/files/patch_ltmain.sh	(revision 4117)
+++ trunk/dports/gnome/libgtop/files/patch_ltmain.sh	(revision 4117)
@@ -0,0 +1,11 @@
+--- ltmain.sh.org	Tue Aug 26 21:08:13 2003
++++ ltmain.sh	Tue Aug 26 21:09:38 2003
+@@ -2211,7 +2211,7 @@
+ 	   { test "$prefer_static_libs" = no || test -z "$old_library"; }; then
+ 	  if test "$installed" = no; then
+ 	    notinst_deplibs="$notinst_deplibs $lib"
+-	    need_relink=yes
++	    need_relink=no
+ 	  fi
+ 	  # This is a shared library
+ 	
Index: trunk/dports/gnome/libgtop/files/patch_mountlist.c
===================================================================
--- trunk/dports/gnome/libgtop/files/patch_mountlist.c	(revision 4117)
+++ trunk/dports/gnome/libgtop/files/patch_mountlist.c	(revision 4117)
@@ -0,0 +1,23 @@
+--- sysdeps/common/mountlist.c.org	Tue Aug 26 20:40:57 2003
++++ sysdeps/common/mountlist.c	Tue Aug 26 20:42:18 2003
+@@ -54,8 +54,9 @@
+ #endif
+ 
+ #if defined (MOUNTED_GETFSSTAT)	/* __alpha running OSF_1 */
+-#  include <sys/mount.h>
+-#  include <sys/fs_types.h>
++#include <sys/param.h>
++#include <sys/ucred.h>
++#include <sys/mount.h>
+ #endif /* MOUNTED_GETFSSTAT */
+ 
+ #ifdef MOUNTED_GETMNTENT1	/* 4.3BSD, SunOS, HP-UX, Dynix, Irix.  */
+@@ -419,7 +420,7 @@
+ 	me = (struct mount_entry *) xmalloc (sizeof (struct mount_entry));
+ 	me->me_devname = xstrdup (stats[counter].f_mntfromname);
+ 	me->me_mountdir = xstrdup (stats[counter].f_mntonname);
+-	me->me_type = xstrdup (mnt_names[stats[counter].f_type]);
++	me->me_type = xstrdup (stats[counter].f_type);
+ 	me->me_dev = (dev_t) -1;	/* Magic; means not known yet. */
+ 	me->me_next = NULL;
+ 